searchData={"content_type":"text/markdown","items":[{"doc":"Provides some convenient functions.","ref":"ElasticsearchEx.html","title":"ElasticsearchEx","type":"module"},{"doc":"Refer to `ElasticsearchEx.Api.Document.index/4` documentation.","ref":"ElasticsearchEx.html#index/4","title":"ElasticsearchEx.index/4","type":"function"},{"doc":"Refer to `ElasticsearchEx.Api.Search.search/2` documentation.","ref":"ElasticsearchEx.html#search/3","title":"ElasticsearchEx.search/3","type":"function"},{"doc":"Refer to `ElasticsearchEx.Api.Search.search/2` documentation.","ref":"ElasticsearchEx.html#stream/3","title":"ElasticsearchEx.stream/3","type":"function"},{"doc":"","ref":"ElasticsearchEx.html#t:document_id/0","title":"ElasticsearchEx.document_id/0","type":"type"},{"doc":"","ref":"ElasticsearchEx.html#t:index/0","title":"ElasticsearchEx.index/0","type":"type"},{"doc":"","ref":"ElasticsearchEx.html#t:opts/0","title":"ElasticsearchEx.opts/0","type":"type"},{"doc":"","ref":"ElasticsearchEx.html#t:query/0","title":"ElasticsearchEx.query/0","type":"type"},{"doc":"","ref":"ElasticsearchEx.html#t:response/0","title":"ElasticsearchEx.response/0","type":"type"},{"doc":"","ref":"ElasticsearchEx.html#t:source/0","title":"ElasticsearchEx.source/0","type":"type"},{"doc":"Provides an utility to generate an Elixir `Stream` from an Elasticsearch search.","ref":"ElasticsearchEx.Stream.html","title":"ElasticsearchEx.Stream","type":"module"},{"doc":"Runs an Elasticsearch by returning a `Stream` which is perfect for browsing large volume of data.","ref":"ElasticsearchEx.Stream.html#stream/3","title":"ElasticsearchEx.Stream.stream/3","type":"function"},{"doc":"iex> ElasticsearchEx.Stream.stream(\n    ...>   %{query: %{match_all: %{}}, sort: [%{message: :desc}]},\n    ...>   :my_index,\n    ...>   keep_alive: \"30s\",\n    ...>   per_page: 500\n    ...> )\n    #Function<52.124013645/2 in Stream.resource/3>","ref":"ElasticsearchEx.Stream.html#stream/3-examples","title":"Examples - ElasticsearchEx.Stream.stream/3","type":"function"},{"doc":"","ref":"ElasticsearchEx.Stream.html#t:index/0","title":"ElasticsearchEx.Stream.index/0","type":"type"},{"doc":"","ref":"ElasticsearchEx.Stream.html#t:query/0","title":"ElasticsearchEx.Stream.query/0","type":"type"},{"doc":"Provides the functions to interact with the CAT APIs.\n\n> ##","ref":"ElasticsearchEx.Api.Cat.html","title":"ElasticsearchEx.Api.Cat","type":"module"},{"doc":">\n> `cat` APIs are only intended for human consumption using the command line or Kibana console.\n> They are not intended for use by applications. For application consumption, use the index\n> segments API.","ref":"ElasticsearchEx.Api.Cat.html#module-important-warning","title":"Important {: .warning} - ElasticsearchEx.Api.Cat","type":"module"},{"doc":"Retrieves the cluster’s index aliases, including filter and routing information. The API does not\nreturn data stream aliases.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#aliases/2","title":"ElasticsearchEx.Api.Cat.aliases/2","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-alias.html#cat-alias-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#aliases/2-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.aliases/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.aliases(nil, format: :json, v: true)\n    {:ok,\n     [\n       %{\n         \"alias\" => \"my-alias\",\n         \"filter\" => \"-\",\n         \"index\" => \"my-index\",\n         \"is_write_index\" => \"-\",\n         \"routing.index\" => \"-\",\n         \"routing.search\" => \"-\"\n       }\n     ]}","ref":"ElasticsearchEx.Api.Cat.html#aliases/2-examples","title":"Examples - ElasticsearchEx.Api.Cat.aliases/2","type":"function"},{"doc":"Provides a snapshot of the number of shards allocated to each data node and their disk space.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#allocation/2","title":"ElasticsearchEx.Api.Cat.allocation/2","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-allocation.html#cat-allocation-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#allocation/2-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.allocation/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.allocation(nil, format: :json, v: true)\n    {:ok,\n     [\n       %{\n         \"disk.avail\" => \"35.3gb\",\n         \"disk.indices\" => \"23.8kb\",\n         \"disk.percent\" => \"84\",\n         \"disk.total\" => \"228.2gb\",\n         \"disk.used\" => \"192.8gb\",\n         \"host\" => \"127.0.0.1\",\n         \"ip\" => \"127.0.0.1\",\n         \"node\" => \"my-node\",\n         \"node.role\" => \"cdfhilmrstw\",\n         \"shards\" => \"3\"\n       }\n     ]}","ref":"ElasticsearchEx.Api.Cat.html#allocation/2-examples","title":"Examples - ElasticsearchEx.Api.Cat.allocation/2","type":"function"},{"doc":"Returns configuration and usage information about anomaly detection jobs.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#anomaly_detectors/2","title":"ElasticsearchEx.Api.Cat.anomaly_detectors/2","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-anomaly-detectors.html#cat-anomaly-detectors-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#anomaly_detectors/2-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.anomaly_detectors/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.anomaly_detectors(nil, format: :json, h: \"id,s,dpr,mb\", v: true)\n    {:ok,\n     [\n       %{\n         \"dpr\" => \"14022\",\n         \"id\" => \"high_sum_total_sales\",\n         \"mb\" => \"1.5mb\",\n         \"s\" => \"closed\"\n       },\n       %{\n         \"dpr\" => \"1216\",\n         \"id\" => \"low_request_rate\",\n         \"mb\" => \"40.5kb\",\n         \"s\" => \"closed\"\n       },\n       %{\n         \"dpr\" => \"28146\",\n         \"id\" => \"response_code_rates\",\n         \"mb\" => \"132.7kb\",\n         \"s\" => \"closed\"\n       },\n       %{\n         \"dpr\" => \"28146\",\n         \"id\" => \"url_scanning\",\n         \"mb\" => \"501.6kb\",\n         \"s\" => \"closed\"\n       }\n     ]}","ref":"ElasticsearchEx.Api.Cat.html#anomaly_detectors/2-examples","title":"Examples - ElasticsearchEx.Api.Cat.anomaly_detectors/2","type":"function"},{"doc":"Returns information about component templates in a cluster. Component templates are building\nblocks for constructing index templates that specify index mappings, settings, and aliases.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#component_templates/2","title":"ElasticsearchEx.Api.Cat.component_templates/2","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-component-templates.html#cat-component-templates-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#component_templates/2-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.component_templates/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.component_templates(nil, format: :json, s: \"name\", v: true)\n    {:ok,\n     [\n       %{\n         \"alias_count\" => \"0\",\n         \"included_in\" => \"[my-index-template]\",\n         \"mapping_count\" => \"1\",\n         \"name\" => \"my-template-1\",\n         \"settings_count\" => \"0\",\n         \"version\" => \"0\"\n       },\n       %{\n         \"alias_count\" => \"3\",\n         \"included_in\" => \"[my-index-template]\",\n         \"mapping_count\" => \"0\",\n         \"name\" => \"my-template-2\",\n         \"settings_count\" => \"0\",\n         \"version\" => \"0\"\n       }\n     ]}","ref":"ElasticsearchEx.Api.Cat.html#component_templates/2-examples","title":"Examples - ElasticsearchEx.Api.Cat.component_templates/2","type":"function"},{"doc":"Provides quick access to a document count for a data stream, an index, or an entire cluster.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#count/2","title":"ElasticsearchEx.Api.Cat.count/2","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-count.html#cat-count-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#count/2-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.count/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.count(nil, format: :json, v: true)\n    {:ok, [%{\"count\" => \"4\", \"epoch\" => \"1712153041\", \"timestamp\" => \"14:04:01\"}]}","ref":"ElasticsearchEx.Api.Cat.html#count/2-examples","title":"Examples - ElasticsearchEx.Api.Cat.count/2","type":"function"},{"doc":"Returns configuration and usage information about data frame analytics jobs.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#data_frame_analytics/2","title":"ElasticsearchEx.Api.Cat.data_frame_analytics/2","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-dfanalytics.html#cat-dfanalytics-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#data_frame_analytics/2-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.data_frame_analytics/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.data_frame_analytics(nil, format: :json, v: true)\n    {:ok,\n     [\n       %{\n         \"create_time\" => \"2020-02-12T11:49:09.594Z\",\n         \"id\" => \"classifier_job_1\",\n         \"state\" => \"stopped\",\n         \"type\" => \"classification\"\n       },\n       %{\n         \"create_time\" => \"2020-02-12T11:49:14.479Z\",\n         \"id\" => \"classifier_job_2\",\n         \"state\" => \"stopped\",\n         \"type\" => \"classification\"\n       },\n       %{\n         \"create_time\" => \"2020-02-12T11:49:16.928Z\",\n         \"id\" => \"classifier_job_3\",\n         \"state\" => \"stopped\",\n         \"type\" => \"classification\"\n       },\n       %{\n         \"create_time\" => \"2020-02-12T11:49:19.127Z\",\n         \"id\" => \"classifier_job_4\",\n         \"state\" => \"stopped\",\n         \"type\" => \"classification\"\n       },\n       %{\n         \"create_time\" => \"2020-02-12T11:49:21.349Z\",\n         \"id\" => \"classifier_job_5\",\n         \"state\" => \"stopped\",\n         \"type\" => \"classification\"\n       }\n     ]}","ref":"ElasticsearchEx.Api.Cat.html#data_frame_analytics/2-examples","title":"Examples - ElasticsearchEx.Api.Cat.data_frame_analytics/2","type":"function"},{"doc":"Returns configuration and usage information about datafeeds.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#datafeeds/2","title":"ElasticsearchEx.Api.Cat.datafeeds/2","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-datafeeds.html#cat-datafeeds-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#datafeeds/2-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.datafeeds/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.datafeeds(nil, format: :json, v: true)\n    {:ok,\n     [\n       %{\n         \"buckets.count\" => \"743\",\n         \"id\" => \"datafeed-high_sum_total_sales\",\n         \"search.count\" => \"7\",\n         \"state\" => \"stopped\"\n       },\n       %{\n         \"buckets.count\" => \"1457\",\n         \"id\" => \"datafeed-low_request_rate\",\n         \"search.count\" => \"3\",\n         \"state\" => \"stopped\"\n       },\n       %{\n         \"buckets.count\" => \"1460\",\n         \"id\" => \"datafeed-response_code_rates\",\n         \"search.count\" => \"18\",\n         \"state\" => \"stopped\"\n       },\n       %{\n         \"buckets.count\" => \"1460\",\n         \"id\" => \"datafeed-url_scanning\",\n         \"search.count\" => \"18\",\n         \"state\" => \"stopped\"\n       }\n     ]}","ref":"ElasticsearchEx.Api.Cat.html#datafeeds/2-examples","title":"Examples - ElasticsearchEx.Api.Cat.datafeeds/2","type":"function"},{"doc":"Returns the amount of heap memory currently used by the field data cache on every data node in the cluster.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#fielddata/2","title":"ElasticsearchEx.Api.Cat.fielddata/2","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-fielddata.html#cat-fielddata-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#fielddata/2-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.fielddata/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.fielddata(nil, format: :json, v: true)\n    {:ok,\n     [\n       %{\n         \"field\" => \"body\",\n         \"host\" => \"127.0.0.1\",\n         \"id\" => \"Nqk-6inXQq-OxUfOUI8jNQ\",\n         \"ip\" => \"127.0.0.1\",\n         \"node\" => \"Nqk-6in\",\n         \"size\" => \"544b\"\n       },\n       %{\n         \"field\" => \"mind\",\n         \"host\" => \"127.0.0.1\",\n         \"id\" => \"Nqk-6inXQq-OxUfOUI8jNQ\",\n         \"ip\" => \"127.0.0.1\",\n         \"node\" => \"Nqk-6in\",\n         \"size\" => \"360b\"\n       },\n       %{\n         \"field\" => \"soul\",\n         \"host\" => \"127.0.0.1\",\n         \"id\" => \"Nqk-6inXQq-OxUfOUI8jNQ\",\n         \"ip\" => \"127.0.0.1\",\n         \"node\" => \"Nqk-6in\",\n         \"size\" => \"480b\"\n       }\n     ]}","ref":"ElasticsearchEx.Api.Cat.html#fielddata/2-examples","title":"Examples - ElasticsearchEx.Api.Cat.fielddata/2","type":"function"},{"doc":"Returns the health status of a cluster, similar to the cluster health API.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#health/2","title":"ElasticsearchEx.Api.Cat.health/2","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-health.html#cat-health-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#health/2-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.health/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.health(nil, format: :json, v: true)\n    {:ok,\n     [\n       %{\n         \"active_shards_percent\" => \"100.0%\",\n         \"cluster\" => \"elasticsearch\",\n         \"epoch\" => \"1712153802\",\n         \"init\" => \"0\",\n         \"max_task_wait_time\" => \"-\",\n         \"node.data\" => \"1\",\n         \"node.total\" => \"1\",\n         \"pending_tasks\" => \"0\",\n         \"pri\" => \"3\",\n         \"relo\" => \"0\",\n         \"shards\" => \"3\",\n         \"status\" => \"green\",\n         \"timestamp\" => \"14:16:42\",\n         \"unassign\" => \"0\"\n       }\n     ]}","ref":"ElasticsearchEx.Api.Cat.html#health/2-examples","title":"Examples - ElasticsearchEx.Api.Cat.health/2","type":"function"},{"doc":"Returns high-level information about indices in a cluster, including backing indices for data streams.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#indices/2","title":"ElasticsearchEx.Api.Cat.indices/2","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-indices.html#cat-indices-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#indices/2-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.indices/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.indices(nil,\n    ...>   format: :json,\n    ...>   include_unloaded_segments: true,\n    ...>   v: true,\n    ...>   h: \"index,pri,rep,health,status,docs.count,docs.deleted,store.size,pri.store.size\",\n    ...>   s: :index\n    ...> )\n    {:ok,\n     [\n       %{\n         \"docs.count\" => \"6\",\n         \"docs.deleted\" => \"0\",\n         \"health\" => \"green\",\n         \"index\" => \"my-index\",\n         \"pri\" => \"1\",\n         \"pri.store.size\" => \"18.9kb\",\n         \"rep\" => \"0\",\n         \"status\" => \"open\",\n         \"store.size\" => \"18.9kb\"\n       }\n     ]}","ref":"ElasticsearchEx.Api.Cat.html#indices/2-examples","title":"Examples - ElasticsearchEx.Api.Cat.indices/2","type":"function"},{"doc":"Returns information about the master node, including the ID, bound IP address, and name.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#master/1","title":"ElasticsearchEx.Api.Cat.master/1","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-master.html#cat-master-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#master/1-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.master/1","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.master(format: :json, v: true)\n    {:ok,\n     [\n       %{\n         \"host\" => \"127.0.0.1\",\n         \"id\" => \"YzWoH_2BT-6UjVGDyPdqYg\",\n         \"ip\" => \"127.0.0.1\",\n         \"node\" => \"YzWoH_2\"\n       }\n     ]}","ref":"ElasticsearchEx.Api.Cat.html#master/1-examples","title":"Examples - ElasticsearchEx.Api.Cat.master/1","type":"function"},{"doc":"Returns information about custom node attributes.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#nodeattrs/1","title":"ElasticsearchEx.Api.Cat.nodeattrs/1","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-nodeattrs.html#cat-nodeattrs-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#nodeattrs/1-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.nodeattrs/1","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.nodeattrs(format: :json, v: true)\n    {:ok,\n     [\n       %{\n         \"attr\" => \"testattr\",\n         \"host\" => \"127.0.0.1\",\n         \"ip\" => \"127.0.0.1\",\n         \"node\" => \"node-0\",\n         \"value\" => \"test\"\n       }\n     ]}","ref":"ElasticsearchEx.Api.Cat.html#nodeattrs/1-examples","title":"Examples - ElasticsearchEx.Api.Cat.nodeattrs/1","type":"function"},{"doc":"Returns information about a cluster’s nodes.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#nodes/1","title":"ElasticsearchEx.Api.Cat.nodes/1","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-nodes.html#cat-nodes-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#nodes/1-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.nodes/1","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.nodes(format: :json, v: true)\n    {:ok,\n     [\n       %{\n         \"cpu\" => \"42\",\n         \"heap.percent\" => \"65\",\n         \"ip\" => \"127.0.0.1\",\n         \"load_15m\" => \"*\",\n         \"load_1m\" => \"3.07\",\n         \"load_5m\" => \"dim\",\n         \"node.role\" => \"mJw06l1\",\n         \"ram.percent\" => \"99\"\n       }\n     ]}","ref":"ElasticsearchEx.Api.Cat.html#nodes/1-examples","title":"Examples - ElasticsearchEx.Api.Cat.nodes/1","type":"function"},{"doc":"Returns cluster-level changes that have not yet been executed, similar to the pending cluster tasks API.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#pending_tasks/1","title":"ElasticsearchEx.Api.Cat.pending_tasks/1","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-pending_tasks.html#cat-pending_tasks-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#pending_tasks/1-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.pending_tasks/1","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.pending_tasks(format: :json, v: true)\n    {:ok,\n     [\n       %{\n         \"insertOrder\" => \"1685\",\n         \"priority\" => \"HIGH\",\n         \"source\" => \"update-mapping\",\n         \"timeInQueue\" => \"855ms\"\n       },\n       %{\n         \"insertOrder\" => \"1686\",\n         \"priority\" => \"HIGH\",\n         \"source\" => \"update-mapping\",\n         \"timeInQueue\" => \"843ms\"\n       },\n       %{\n         \"insertOrder\" => \"1693\",\n         \"priority\" => \"HIGH\",\n         \"source\" => \"update-mapping\",\n         \"timeInQueue\" => \"753ms\"\n       },\n       %{\n         \"insertOrder\" => \"1688\",\n         \"priority\" => \"HIGH\",\n         \"source\" => \"update-mapping\",\n         \"timeInQueue\" => \"816ms\"\n       },\n       %{\n         \"insertOrder\" => \"1689\",\n         \"priority\" => \"HIGH\",\n         \"source\" => \"update-mapping\",\n         \"timeInQueue\" => \"802ms\"\n       },\n       %{\n         \"insertOrder\" => \"1690\",\n         \"priority\" => \"HIGH\",\n         \"source\" => \"update-mapping\",\n         \"timeInQueue\" => \"787ms\"\n       },\n       %{\n         \"insertOrder\" => \"1691\",\n         \"priority\" => \"HIGH\",\n         \"source\" => \"update-mapping\",\n         \"timeInQueue\" => \"773ms\"\n       }\n     ]}","ref":"ElasticsearchEx.Api.Cat.html#pending_tasks/1-examples","title":"Examples - ElasticsearchEx.Api.Cat.pending_tasks/1","type":"function"},{"doc":"Returns cluster-level changes that have not yet been executed, similar to the pending cluster tasks API.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#plugins/1","title":"ElasticsearchEx.Api.Cat.plugins/1","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-plugins.html#cat-plugins-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#plugins/1-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.plugins/1","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.plugins(format: :json, h: \"name,component,version,description\", s: \"component\", v: true)\n    {:ok,\n     [\n       %{\n         \"component\" => \"analysis-icu\",\n         \"description\" => \"The ICU Analysis plugin integrates the Lucene ICU module into Elasticsearch, adding ICU-related analysis components.\",\n         \"name\" => \"U7321H6\",\n         \"version\" => \"8.13.1\"\n       },\n       %{\n         \"component\" => \"analysis-kuromoji\",\n         \"description\" => \"The Japanese (kuromoji) Analysis plugin integrates Lucene kuromoji analysis module into elasticsearch.\",\n         \"name\" => \"U7321H6\",\n         \"version\" => \"8.13.1\"\n       },\n       %{\n         \"component\" => \"analysis-nori\",\n         \"description\" => \"The Korean (nori) Analysis plugin integrates Lucene nori analysis module into elasticsearch.\",\n         \"name\" => \"U7321H6\",\n         \"version\" => \"8.13.1\"\n       },\n       %{\n         \"component\" => \"analysis-phonetic\",\n         \"description\" => \"The Phonetic Analysis plugin integrates phonetic token filter analysis with elasticsearch.\",\n         \"name\" => \"U7321H6\",\n         \"version\" => \"8.13.1\"\n       },\n       %{\n         \"component\" => \"analysis-smartcn\",\n         \"description\" => \"Smart Chinese Analysis plugin integrates Lucene Smart Chinese analysis module into elasticsearch.\",\n         \"name\" => \"U7321H6\",\n         \"version\" => \"8.13.1\"\n       },\n       %{\n         \"component\" => \"analysis-stempel\",\n         \"description\" => \"The Stempel (Polish) Analysis plugin integrates Lucene stempel (polish) analysis module into elasticsearch.\",\n         \"name\" => \"U7321H6\",\n         \"version\" => \"8.13.1\"\n       },\n       %{\n         \"component\" => \"analysis-ukrainian\",\n         \"description\" => \"The Ukrainian Analysis plugin integrates the Lucene UkrainianMorfologikAnalyzer into elasticsearch.\",\n         \"name\" => \"U7321H6\",\n         \"version\" => \"8.13.1\"\n       },\n       %{\n         \"component\" => \"discovery-azure-classic\",\n         \"description\" => \"The Azure Classic Discovery plugin allows to use Azure Classic API for the unicast discovery mechanism\",\n         \"name\" => \"U7321H6\",\n         \"version\" => \"8.13.1\"\n       },\n       %{\n         \"component\" => \"discovery-ec2\",\n         \"description\" => \"The EC2 discovery plugin allows to use AWS API for the unicast discovery mechanism.\",\n         \"name\" => \"U7321H6\",\n         \"version\" => \"8.13.1\"\n       },\n       %{\n         \"component\" => \"discovery-gce\",\n         \"description\" => \"The Google Compute Engine (GCE) Discovery plugin allows to use GCE API for the unicast discovery mechanism.\",\n         \"name\" => \"U7321H6\",\n         \"version\" => \"8.13.1\"\n       },\n       %{\n         \"component\" => \"mapper-annotated-text\",\n         \"description\" => \"The Mapper Annotated_text plugin adds support for text fields with markup used to inject annotation tokens into the index.\",\n         \"name\" => \"U7321H6\",\n         \"version\" => \"8.13.1\"\n       },\n       %{\n         \"component\" => \"mapper-murmur3\",\n         \"description\" => \"The Mapper Murmur3 plugin allows to compute hashes of a field's values at index-time and to store them in the index.\",\n         \"name\" => \"U7321H6\",\n         \"version\" => \"8.13.1\"\n       },\n       %{\n         \"component\" => \"mapper-size\",\n         \"description\" => \"The Mapper Size plugin allows document to record their uncompressed size at index time.\",\n         \"name\" => \"U7321H6\",\n         \"version\" => \"8.13.1\"\n       },\n       %{\n         \"component\" => \"store-smb\",\n         \"description\" => \"The Store SMB plugin adds support for SMB stores.\",\n         \"name\" => \"U7321H6\",\n         \"version\" => \"8.13.1\"\n       }\n     ]}","ref":"ElasticsearchEx.Api.Cat.html#plugins/1-examples","title":"Examples - ElasticsearchEx.Api.Cat.plugins/1","type":"function"},{"doc":"Returns information about ongoing and completed shard recoveries, similar to the index recovery API.\n\nFor data streams, the API returns information about the stream’s backing indices.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#recovery/2","title":"ElasticsearchEx.Api.Cat.recovery/2","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-recovery.html#cat-recovery-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#recovery/2-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.recovery/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.recovery(format: :json, v: true)\n    {:ok,\n     [\n       %{\n         \"bytes\" => \"0b\",\n         \"bytes_percent\" => \"100%\",\n         \"bytes_recovered\" => \"0b\",\n         \"bytes_total\" => \"9928b\",\n         \"files\" => \"0\",\n         \"files_percent\" => \"100%\",\n         \"files_recovered\" => \"0\",\n         \"files_total\" => \"13\",\n         \"index\" => \"my-index-000001\",\n         \"repository\" => \"n/a\",\n         \"shard\" => \"0\",\n         \"snapshot\" => \"n/a\",\n         \"source_host\" => \"n/a\",\n         \"source_node\" => \"n/a\",\n         \"stage\" => \"done\",\n         \"target_host\" => \"127.0.0.1\",\n         \"target_node\" => \"node-0\",\n         \"time\" => \"13ms\",\n         \"translog_ops\" => \"0\",\n         \"translog_ops_percent\" => \"100.0%\",\n         \"translog_ops_recovered\" => \"0\",\n         \"type\" => \"store\"\n       }\n     ]}","ref":"ElasticsearchEx.Api.Cat.html#recovery/2-examples","title":"Examples - ElasticsearchEx.Api.Cat.recovery/2","type":"function"},{"doc":"Returns the snapshot repositories for a cluster.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#repositories/1","title":"ElasticsearchEx.Api.Cat.repositories/1","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-repositories.html#cat-repositories-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#repositories/1-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.repositories/1","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.repositories(format: :json, v: true)\n    {:ok, [%{\"id\" => \"repo1\", \"type\" => \"fs\"}, %{\"id\" => \"repo2\", \"type\" => \"s3\"}]}","ref":"ElasticsearchEx.Api.Cat.html#repositories/1-examples","title":"Examples - ElasticsearchEx.Api.Cat.repositories/1","type":"function"},{"doc":"Returns low-level information about the Lucene segments in index shards, similar to the indices segments API.\n\nFor data streams, the API returns information about the stream’s backing indices.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#segments/2","title":"ElasticsearchEx.Api.Cat.segments/2","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-segments.html#cat-segments-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#segments/2-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.segments/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.segments(nil, format: :json, v: true)\n    {:ok,\n     [\n       %{\n         \"committed\" => \"false\",\n         \"compound\" => \"true\",\n         \"docs.count\" => \"1\",\n         \"docs.deleted\" => \"0\",\n         \"generation\" => \"0\",\n         \"index\" => \"test\",\n         \"ip\" => \"127.0.0.1\",\n         \"prirep\" => \"p\",\n         \"searchable\" => \"true\",\n         \"segment\" => \"_0\",\n         \"shard\" => \"0\",\n         \"size\" => \"3kb\",\n         \"size.memory\" => \"0\",\n         \"version\" => \"9.10.0\"\n       },\n       %{\n         \"committed\" => \"false\",\n         \"compound\" => \"true\",\n         \"docs.count\" => \"1\",\n         \"docs.deleted\" => \"0\",\n         \"generation\" => \"0\",\n         \"index\" => \"test1\",\n         \"ip\" => \"127.0.0.1\",\n         \"prirep\" => \"p\",\n         \"searchable\" => \"true\",\n         \"segment\" => \"_0\",\n         \"shard\" => \"0\",\n         \"size\" => \"3kb\",\n         \"size.memory\" => \"0\",\n         \"version\" => \"9.10.0\"\n       }\n     ]}","ref":"ElasticsearchEx.Api.Cat.html#segments/2-examples","title":"Examples - ElasticsearchEx.Api.Cat.segments/2","type":"function"},{"doc":"The shards command is the detailed view of what nodes contain which shards. It will tell you if\nit’s a primary or replica, the number of docs, the bytes it takes on disk, and the node where it’s\nlocated.\n\nFor data streams, the API returns information about the stream’s backing indices.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#shards/2","title":"ElasticsearchEx.Api.Cat.shards/2","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-shards.html#cat-shards-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#shards/2-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.shards/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.shards(nil, format: :json, v: true)\n    {:ok,\n     [\n       %{\n         \"dataset\" => \"18.9kb\",\n         \"docs\" => \"6\",\n         \"index\" => \"my-index\",\n         \"ip\" => \"127.0.0.1\",\n         \"node\" => \"my-node\",\n         \"prirep\" => \"p\",\n         \"shard\" => \"0\",\n         \"state\" => \"STARTED\",\n         \"store\" => \"18.9kb\"\n       }\n     ]}","ref":"ElasticsearchEx.Api.Cat.html#shards/2-examples","title":"Examples - ElasticsearchEx.Api.Cat.shards/2","type":"function"},{"doc":"Returns information about the snapshots stored in one or more repositories. A snapshot is a backup\nof an index or running Elasticsearch cluster.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#snapshots/2","title":"ElasticsearchEx.Api.Cat.snapshots/2","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-snapshots.html#cat-snapshots-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#snapshots/2-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.snapshots/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.snapshots(nil, format: :json, v: true, s: \"id\")\n    {:ok,\n     [\n       %{\n         \"duration\" => \"4.6m\",\n         \"end_epoch\" => \"1445616978\",\n         \"end_time\" => \"18:16:18\",\n         \"failed_shards\" => \"1\",\n         \"id\" => \"snap1\",\n         \"indices\" => \"1\",\n         \"repository\" => \"repo1\",\n         \"start_epoch\" => \"1445616705\",\n         \"start_time\" => \"18:11:45\",\n         \"status\" => \"FAILED\",\n         \"successful_shards\" => \"4\",\n         \"total_shards\" => \"5\"\n       },\n       %{\n         \"duration\" => \"6.2m\",\n         \"end_epoch\" => \"1445634672\",\n         \"end_time\" => \"23:11:12\",\n         \"failed_shards\" => \"0\",\n         \"id\" => \"snap2\",\n         \"indices\" => \"2\",\n         \"repository\" => \"repo1\",\n         \"start_epoch\" => \"1445634298\",\n         \"start_time\" => \"23:04:58\",\n         \"status\" => \"SUCCESS\",\n         \"successful_shards\" => \"10\",\n         \"total_shards\" => \"10\"\n       }\n     ]}","ref":"ElasticsearchEx.Api.Cat.html#snapshots/2-examples","title":"Examples - ElasticsearchEx.Api.Cat.snapshots/2","type":"function"},{"doc":"Returns information about tasks currently executing in the cluster, similar to the task management\nAPI.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#tasks/1","title":"ElasticsearchEx.Api.Cat.tasks/1","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-tasks.html#cat-tasks-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#tasks/1-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.tasks/1","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.tasks(format: :json, v: true)\n    {:ok,\n     [\n       %{\n         \"action\" => \"cluster:monitor/tasks/lists[n]\",\n         \"ip\" => \"127.0.0.1:9300\",\n         \"node\" => \"oTUltX4IQMOUUVeiohTt8A\",\n         \"parent_task_id\" => \"oTUltX4IQMOUUVeiohTt8A:123\",\n         \"running_time\" => \"44.1micros\",\n         \"start_time\" => \"1458585884904\",\n         \"task_id\" => \"oTUltX4IQMOUUVeiohTt8A:124\",\n         \"timestamp\" => \"01:48:24\",\n         \"type\" => \"direct\"\n       },\n       %{\n         \"action\" => \"cluster:monitor/tasks/lists\",\n         \"ip\" => \"127.0.0.1:9300\",\n         \"node\" => \"oTUltX4IQMOUUVeiohTt8A\",\n         \"parent_task_id\" => \"-\",\n         \"running_time\" => \"186.2micros\",\n         \"start_time\" => \"1458585884904\",\n         \"task_id\" => \"oTUltX4IQMOUUVeiohTt8A:123\",\n         \"timestamp\" => \"01:48:24\",\n         \"type\" => \"transport\"\n       }\n     ]}","ref":"ElasticsearchEx.Api.Cat.html#tasks/1-examples","title":"Examples - ElasticsearchEx.Api.Cat.tasks/1","type":"function"},{"doc":"Returns information about index templates in a cluster. You can use index templates to apply index\nsettings and field mappings to new indices at creation.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#templates/2","title":"ElasticsearchEx.Api.Cat.templates/2","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-templates.html#cat-templates-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#templates/2-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.templates/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.templates(\"my-template-*\", format: :json, v: true, s: \"name\")\n    {:ok,\n     [\n       %{\n         \"index_patterns\" => \"[te*]\",\n         \"name\" => \"my-template-0\",\n         \"order\" => \"500\",\n         \"version\" => \"[]\"\n       },\n       %{\n         \"index_patterns\" => \"[tea*]\",\n         \"name\" => \"my-template-1\",\n         \"order\" => \"501\",\n         \"version\" => \"[]\"\n       },\n       %{\n         \"composed_of\" => \"[]\",\n         \"index_patterns\" => \"[teak*]\",\n         \"name\" => \"my-template-2\",\n         \"order\" => \"502\",\n         \"version\" => \"7\"\n       }\n     ]}","ref":"ElasticsearchEx.Api.Cat.html#templates/2-examples","title":"Examples - ElasticsearchEx.Api.Cat.templates/2","type":"function"},{"doc":"Returns thread pool statistics for each node in a cluster. Returned information includes all built-in\nthread pools and custom thread pools.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#thread_pool/2","title":"ElasticsearchEx.Api.Cat.thread_pool/2","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-thread-pool.html#cat-thread-pool-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#thread_pool/2-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.thread_pool/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.thread_pool(nil, format: :json, v: true, h: \"id,name,active,rejected,completed\")\n    {:ok,\n     [\n       %{\n         \"active\" => \"0\",\n         \"completed\" => \"70\",\n         \"id\" => \"0EWUhXeBQtaVGlexUeVwMg\",\n         \"name\" => \"generic\",\n         \"rejected\" => \"0\"\n       }\n     ]}","ref":"ElasticsearchEx.Api.Cat.html#thread_pool/2-examples","title":"Examples - ElasticsearchEx.Api.Cat.thread_pool/2","type":"function"},{"doc":"Returns configuration and usage information about inference trained models.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#trained_models/1","title":"ElasticsearchEx.Api.Cat.trained_models/1","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-trained-model.html#cat-trained-model-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#trained_models/1-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.trained_models/1","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.trained_models(format: :json, v: true, h: \"c,o,l,ct,v\")\n    {:ok,\n     [\n       %{\n         \"create_time\" => \"2020-01-28T12:56:17.138Z\",\n         \"created_by\" => \"_xpack\",\n         \"id\" => \"ddddd-1580216177138\",\n         \"license\" => \"PLATINUM\",\n         \"operations\" => \"196\",\n         \"version\" => \"8.0.0\"\n       },\n       %{\n         \"create_time\" => \"2020-01-28T12:48:05.537Z\",\n         \"created_by\" => \"_xpack\",\n         \"id\" => \"flight-regress-1580215685537\",\n         \"license\" => \"PLATINUM\",\n         \"operations\" => \"102\",\n         \"version\" => \"8.0.0\"\n       },\n       %{\n         \"create_time\" => \"2019-12-05T12:28:34.594Z\",\n         \"created_by\" => \"_xpack\",\n         \"id\" => \"lang_ident_model_1\",\n         \"license\" => \"BASIC\",\n         \"operations\" => \"39629\",\n         \"version\" => \"7.6.0\"\n       }\n     ]}","ref":"ElasticsearchEx.Api.Cat.html#trained_models/1-examples","title":"Examples - ElasticsearchEx.Api.Cat.trained_models/1","type":"function"},{"doc":"Returns configuration and usage information about transforms.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#transforms/2","title":"ElasticsearchEx.Api.Cat.transforms/2","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/cat-transforms.html#cat-transforms-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Cat.html#transforms/2-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Cat.transforms/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Cat.transforms(nil, format: :json, v: true)\n    {:ok,\n     [\n       {\n         \"id\" : \"ecommerce_transform\",\n         \"state\" : \"started\",\n         \"checkpoint\" : \"1\",\n         \"documents_processed\" : \"705\",\n         \"checkpoint_progress\" : \"100.00\",\n         \"changes_last_detection_time\" : null\n       }\n     ]}","ref":"ElasticsearchEx.Api.Cat.html#transforms/2-examples","title":"Examples - ElasticsearchEx.Api.Cat.transforms/2","type":"function"},{"doc":"","ref":"ElasticsearchEx.Api.Cat.html#t:index/0","title":"ElasticsearchEx.Api.Cat.index/0","type":"type"},{"doc":"","ref":"ElasticsearchEx.Api.Cat.html#t:opts/0","title":"ElasticsearchEx.Api.Cat.opts/0","type":"type"},{"doc":"Provides the APIs for the single document operations.","ref":"ElasticsearchEx.Api.Document.html","title":"ElasticsearchEx.Api.Document","type":"module"},{"doc":"Adds a JSON document to the specified data stream or index and makes it searchable.\n\n#","ref":"ElasticsearchEx.Api.Document.html#create/4","title":"ElasticsearchEx.Api.Document.create/4","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/docs-index_.html#docs-index-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Document.html#create/4-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Document.create/4","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/docs-index_.html#docs-index-api-request-body)\nfor a detailed list of the body values.\n\n#","ref":"ElasticsearchEx.Api.Document.html#create/4-request-body","title":"Request body - ElasticsearchEx.Api.Document.create/4","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Document.create(\n    ...>   %{\n    ...>     \"@timestamp\": \"2099-11-15T13:12:00\",\n    ...>     message: \"GET /search HTTP/1.1 200 1070000\",\n    ...>     user: %{id: \"kimchy\"}\n    ...>   },\n    ...>   index: \"my-index-000001\",\n    ...>   id: \"W0tpsmIBdwcYyG50zbta\"\n    ...> )\n    {:ok,\n     %{\n       \"_id\" => \"W0tpsmIBdwcYyG50zbta\",\n       \"_index\" => \"my-index-000001\",\n       \"_primary_term\" => 1,\n       \"_seq_no\" => 0,\n       \"_shards\" => %{\"failed\" => 0, \"successful\" => 2, \"total\" => 2},\n       \"_version\" => 1,\n       \"result\" => \"created\"\n     }}","ref":"ElasticsearchEx.Api.Document.html#create/4-examples","title":"Examples - ElasticsearchEx.Api.Document.create/4","type":"function"},{"doc":"Removes a JSON document from the specified index.\n\n#","ref":"ElasticsearchEx.Api.Document.html#delete/3","title":"ElasticsearchEx.Api.Document.delete/3","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/docs-delete.html#docs-delete-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Document.html#delete/3-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Document.delete/3","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Document.delete(index: \"my-index-000001\", id: \"0\")\n    {:ok,\n     %{\n       \"_id\" => \"0\",\n       \"_index\" => \"my-index-000001\",\n       \"_primary_term\" => 3,\n       \"_seq_no\" => 6,\n       \"_shards\" => %{\"failed\" => 0, \"successful\" => 1, \"total\" => 2},\n       \"_version\" => 2,\n       \"result\" => \"deleted\"\n     }}\n\n    iex> ElasticsearchEx.Api.Document.delete(index: \"my-index-000001\", id: \"1\")\n    {:error,\n     %ElasticsearchEx.Error{\n       reason: \"Document with ID: `1` not found\",\n       root_cause: nil,\n       status: 404,\n       type: \"not_found\",\n       ...\n     }}","ref":"ElasticsearchEx.Api.Document.html#delete/3-examples","title":"Examples - ElasticsearchEx.Api.Document.delete/3","type":"function"},{"doc":"Checks if the specified JSON document from an index exists.\n\n#","ref":"ElasticsearchEx.Api.Document.html#exists?/3","title":"ElasticsearchEx.Api.Document.exists?/3","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/docs-get.html#docs-get-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Document.html#exists?/3-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Document.exists?/3","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Document.exists?(index: \"my-index-000001\", id: \"0\")\n    true","ref":"ElasticsearchEx.Api.Document.html#exists?/3-examples","title":"Examples - ElasticsearchEx.Api.Document.exists?/3","type":"function"},{"doc":"Retrieves the specified JSON document from an index.\n\n#","ref":"ElasticsearchEx.Api.Document.html#get/3","title":"ElasticsearchEx.Api.Document.get/3","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/docs-get.html#docs-get-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Document.html#get/3-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Document.get/3","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Document.get(index: \"my-index-000001\", id: \"0\")\n    {:ok,\n     %{\n       \"_id\" => \"0\",\n       \"_index\" => \"my-index-000001\",\n       \"_primary_term\" => 1,\n       \"_seq_no\" => 0,\n       \"_source\" => %{\n         \"@timestamp\" => \"2099-11-15T14:12:12\",\n         \"http\" => %{\n           \"request\" => %{\"method\" => \"get\"},\n           \"response\" => %{\"bytes\" => 1070000, \"status_code\" => 200},\n           \"version\" => \"1.1\"\n         },\n         \"message\" => \"GET /search HTTP/1.1 200 1070000\",\n         \"source\" => %{\"ip\" => \"127.0.0.1\"},\n         \"user\" => %{\"id\" => \"kimchy\"}\n       },\n       \"_version\" => 1,\n       \"found\" => true\n     }}","ref":"ElasticsearchEx.Api.Document.html#get/3-examples","title":"Examples - ElasticsearchEx.Api.Document.get/3","type":"function"},{"doc":"Retrieves multiple JSON documents by ID.\n\nThe argument `documents` expects a `List` of `Map` where the key `:_id` is required and the key\n`:_index` is required if the argument `index` is `nil`. It uses as body: `{\"docs\": [{\"_id\": \"id1\"}, {\"_id\": \"id2\"}]}`.\n\nOnly the following keys: `:_index`, `:_id`, `:_source`, `:_stored_fields` and `:routing` are\nallowed in the `Map`.\n\n#","ref":"ElasticsearchEx.Api.Document.html#get_docs/3","title":"ElasticsearchEx.Api.Document.get_docs/3","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/docs-multi-get.html#docs-multi-get-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Document.html#get_docs/3-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Document.get_docs/3","type":"function"},{"doc":"Query with only IDs (the option `index` is required):\n\n    iex> ElasticsearchEx.Api.Document.get_docs([\n    ...>   %{_index: \"my-index-000001\", _id: \"ArSqnI4BpDBWjw9UsTk-\", _source: false},\n    ...>   %{_index: \"my-index-000001\", _id: \"BrS8nI4BpDBWjw9UUTk5\"}\n    ...> ])\n    {:ok,\n     %{\n       \"docs\" => [\n         %{\n           \"_id\" => \"ArSqnI4BpDBWjw9UsTk-\",\n           \"_index\" => \"my-index-000001\",\n           \"_primary_term\" => 2,\n           \"_seq_no\" => 0,\n           \"_version\" => 1,\n           \"found\" => true\n         },\n         %{\n           \"_id\" => \"BrS8nI4BpDBWjw9UUTk5\",\n           \"_index\" => \"my-index-000001\",\n           \"found\" => false\n          }\n       ]\n     }}","ref":"ElasticsearchEx.Api.Document.html#get_docs/3-examples","title":"Examples - ElasticsearchEx.Api.Document.get_docs/3","type":"function"},{"doc":"Retrieves multiple JSON documents by ID.\n\nThe argument `document_ids` expects a `List` of `binary`. It uses as body: `{\"ids\": [\"id1\", \"id2\"]}`.\n\nIt raises an exception if the argument `index` is `nil`.\n\n#","ref":"ElasticsearchEx.Api.Document.html#get_ids/3","title":"ElasticsearchEx.Api.Document.get_ids/3","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/docs-multi-get.html#docs-multi-get-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Document.html#get_ids/3-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Document.get_ids/3","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Document.get_ids([\"ArSqnI4BpDBWjw9UsTk-\", \"BrS8nI4BpDBWjw9UUTk5\"], nil)\n    ** (ArgumentError) the argument `index` cannot be `nil`\n\n    iex> ElasticsearchEx.Api.Document.get_ids([\"ArSqnI4BpDBWjw9UsTk-\", \"BrS8nI4BpDBWjw9UUTk5\"], \"my-index-000001\")\n    {:ok,\n     %{\n       \"docs\" => [\n         %{\n           \"_id\" => \"ArSqnI4BpDBWjw9UsTk-\",\n           \"_index\" => \"my-index-000001\",\n           \"_primary_term\" => 2,\n           \"_seq_no\" => 0,\n           \"_version\" => 1,\n           \"found\" => true\n         },\n         %{\n           \"_id\" => \"BrS8nI4BpDBWjw9UUTk5\",\n           \"_index\" => \"my-index-000001\",\n           \"found\" => false\n          }\n       ]\n     }}","ref":"ElasticsearchEx.Api.Document.html#get_ids/3-examples","title":"Examples - ElasticsearchEx.Api.Document.get_ids/3","type":"function"},{"doc":"Adds a JSON document to the specified data stream or index and makes it searchable. If the\ntarget is an index and the document already exists, the request updates the document and\nincrements its version.\n\n#","ref":"ElasticsearchEx.Api.Document.html#index/4","title":"ElasticsearchEx.Api.Document.index/4","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/docs-index_.html#docs-index-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Document.html#index/4-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Document.index/4","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/docs-index_.html#docs-index-api-request-body)\nfor a detailed list of the body values.\n\n#","ref":"ElasticsearchEx.Api.Document.html#index/4-request-body","title":"Request body - ElasticsearchEx.Api.Document.index/4","type":"function"},{"doc":"Without a specific document ID:\n\n    iex> ElasticsearchEx.Api.Document.index(\n    ...>   %{\n    ...>     \"@timestamp\": \"2099-11-15T13:12:00\",\n    ...>     message: \"GET /search HTTP/1.1 200 1070000\",\n    ...>     user: %{id: \"kimchy\"}\n    ...>   },\n    ...>   index: \"my-index-000001\"\n    ...> )\n    {:ok,\n     %{\n       \"_id\" => \"W0tpsmIBdwcYyG50zbta\",\n       \"_index\" => \"my-index-000001\",\n       \"_primary_term\" => 1,\n       \"_seq_no\" => 0,\n       \"_shards\" => %{\"failed\" => 0, \"successful\" => 2, \"total\" => 2},\n       \"_version\" => 1,\n       \"result\" => \"created\"\n     }}\n\nWith a specific document ID:\n\n    iex> ElasticsearchEx.Api.Document.index(\n    ...>   %{\n    ...>     \"@timestamp\": \"2099-11-15T13:12:00\",\n    ...>     message: \"GET /search HTTP/1.1 200 1070000\",\n    ...>     user: %{id: \"kimchy\"}\n    ...>   },\n    ...>   index: \"my-index-000001\",\n    ...>   id: \"W0tpsmIBdwcYyG50zbta\"\n    ...> )\n    {:ok,\n     %{\n       \"_id\" => \"W0tpsmIBdwcYyG50zbta\",\n       \"_index\" => \"my-index-000001\",\n       \"_primary_term\" => 1,\n       \"_seq_no\" => 0,\n       \"_shards\" => %{\"failed\" => 0, \"successful\" => 2, \"total\" => 2},\n       \"_version\" => 1,\n       \"result\" => \"created\"\n     }}","ref":"ElasticsearchEx.Api.Document.html#index/4-examples","title":"Examples - ElasticsearchEx.Api.Document.index/4","type":"function"},{"doc":"Retrieves multiple JSON documents by ID.\n\nIt checks if the `values` are a list of binary and calls `get_ids/3` or a list of map and calls `get_docs/3`.\n\n#","ref":"ElasticsearchEx.Api.Document.html#multi_get/3","title":"ElasticsearchEx.Api.Document.multi_get/3","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/docs-multi-get.html#docs-multi-get-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Document.html#multi_get/3-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Document.multi_get/3","type":"function"},{"doc":"Uses `get_docs/3`:\n\n    iex> ElasticsearchEx.Api.Document.multi_get(\n    ...>   [\n    ...>     %{_index: \"my-index-000001\", _id: \"ArSqnI4BpDBWjw9UsTk-\", _source: false},\n    ...>     %{_index: \"my-index-000001\", _id: \"BrS8nI4BpDBWjw9UUTk5\"}\n    ...>   ],\n    ...>   \"my-index-000001\",\n    ...>   _source: false\n    ...> )\n    {:ok,\n     %{\n       \"docs\" => [\n         %{\n           \"_id\" => \"ArSqnI4BpDBWjw9UsTk-\",\n           \"_index\" => \"my-index-000001\",\n           \"_primary_term\" => 2,\n           \"_seq_no\" => 0,\n           \"_version\" => 1,\n           \"found\" => true\n         },\n         %{\n           \"_id\" => \"BrS8nI4BpDBWjw9UUTk5\",\n           \"_index\" => \"my-index-000001\",\n           \"found\" => false\n          }\n       ]\n     }}\n\nUses `get_ids/3`:\n\n    iex> ElasticsearchEx.Api.Document.multi_get(\n    ...>   [\"ArSqnI4BpDBWjw9UsTk-\", \"BrS8nI4BpDBWjw9UUTk5\"],\n    ...>   \"my-index-000001\",\n    ...>   _source: false\n    ...> )\n          {:ok,\n     %{\n       \"docs\" => [\n         %{\n           \"_id\" => \"ArSqnI4BpDBWjw9UsTk-\",\n           \"_index\" => \"my-index-000001\",\n           \"_primary_term\" => 2,\n           \"_seq_no\" => 0,\n           \"_version\" => 1,\n           \"found\" => true\n         },\n         %{\n           \"_id\" => \"BrS8nI4BpDBWjw9UUTk5\",\n           \"_index\" => \"my-index-000001\",\n           \"found\" => false\n          }\n       ]\n     }}\n\nRaises an exception if not a list of map or a list of binary:\n\n    iex> ElasticsearchEx.Api.Document.multi_get([{\"my-index-000001\", \"BrS8nI4BpDBWjw9UUTk5\"}, \"my-index-000001\"])\n    ** (ArgumentError) invalid value, expected a list of maps or document IDs, got: `[{\"my-index-000001\", \"BrS8nI4BpDBWjw9UUTk5\"}, \"my-index-000001\"]`","ref":"ElasticsearchEx.Api.Document.html#multi_get/3-examples","title":"Examples - ElasticsearchEx.Api.Document.multi_get/3","type":"function"},{"doc":"Updates a document using the specified script.\n\n#","ref":"ElasticsearchEx.Api.Document.html#update/4","title":"ElasticsearchEx.Api.Document.update/4","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/docs-update.html#docs-update-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Document.html#update/4-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Document.update/4","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/docs-update.html#update-api-example)\nfor a detailed list of the body values.\n\n#","ref":"ElasticsearchEx.Api.Document.html#update/4-request-body","title":"Request body - ElasticsearchEx.Api.Document.update/4","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Document.update(\n    ...>   %{\n    ...>     script: %{\n    ...>       source: \"ctx._source.message = params.message\",\n    ...>       lang: \"painless\",\n    ...>       params: %{message: \"Bye World\"}\n    ...>     }\n    ...>   },\n    ...>   index: \"my-index-000001\",\n    ...>   id: \"0\"\n    ...> )\n    {:ok,\n     %{\n       \"_id\" => \"0\",\n       \"_index\" => \"my-index-000001\",\n       \"_primary_term\" => 1,\n       \"_seq_no\" => 1,\n       \"_version\" => 2,\n       \"_shards\" => %{\"failed\" => 0, \"successful\" => 1, \"total\" => 1},\n       \"result\" => \"updated\"\n     }}","ref":"ElasticsearchEx.Api.Document.html#update/4-examples","title":"Examples - ElasticsearchEx.Api.Document.update/4","type":"function"},{"doc":"","ref":"ElasticsearchEx.Api.Document.html#t:document_id/0","title":"ElasticsearchEx.Api.Document.document_id/0","type":"type"},{"doc":"","ref":"ElasticsearchEx.Api.Document.html#t:index/0","title":"ElasticsearchEx.Api.Document.index/0","type":"type"},{"doc":"","ref":"ElasticsearchEx.Api.Document.html#t:opts/0","title":"ElasticsearchEx.Api.Document.opts/0","type":"type"},{"doc":"","ref":"ElasticsearchEx.Api.Document.html#t:source/0","title":"ElasticsearchEx.Api.Document.source/0","type":"type"},{"doc":"Provides the APIs for document source operations.","ref":"ElasticsearchEx.Api.Document.Source.html","title":"ElasticsearchEx.Api.Document.Source","type":"module"},{"doc":"Checks if the specified JSON document from an index exists.\n\n#","ref":"ElasticsearchEx.Api.Document.Source.html#exists?/3","title":"ElasticsearchEx.Api.Document.Source.exists?/3","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/docs-get.html#docs-get-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Document.Source.html#exists?/3-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Document.Source.exists?/3","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Document.Source.exists?(\"0\", \"my-index-000001\")\n    true","ref":"ElasticsearchEx.Api.Document.Source.html#exists?/3-examples","title":"Examples - ElasticsearchEx.Api.Document.Source.exists?/3","type":"function"},{"doc":"Retrieves the specified JSON document from an index.\n\n#","ref":"ElasticsearchEx.Api.Document.Source.html#get/3","title":"ElasticsearchEx.Api.Document.Source.get/3","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/docs-get.html#docs-get-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Document.Source.html#get/3-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Document.Source.get/3","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Document.Source.get(\"0\", \"my-index-000001\")\n    {:ok,\n     %{\n       \"@timestamp\" => \"2099-11-15T14:12:12\",\n       \"http\" => %{\n         \"request\" => %{\"method\" => \"get\"},\n         \"response\" => %{\"bytes\" => 1_070_000, \"status_code\" => 200},\n         \"version\" => \"1.1\"\n       },\n       \"message\" => \"GET /search HTTP/1.1 200 1070000\",\n       \"source\" => %{\"ip\" => \"127.0.0.1\"},\n       \"user\" => %{\"id\" => \"kimchy\"}\n     }}","ref":"ElasticsearchEx.Api.Document.Source.html#get/3-examples","title":"Examples - ElasticsearchEx.Api.Document.Source.get/3","type":"function"},{"doc":"","ref":"ElasticsearchEx.Api.Document.Source.html#t:document_id/0","title":"ElasticsearchEx.Api.Document.Source.document_id/0","type":"type"},{"doc":"","ref":"ElasticsearchEx.Api.Document.Source.html#t:index/0","title":"ElasticsearchEx.Api.Document.Source.index/0","type":"type"},{"doc":"","ref":"ElasticsearchEx.Api.Document.Source.html#t:opts/0","title":"ElasticsearchEx.Api.Document.Source.opts/0","type":"type"},{"doc":"Provides general information about the installed X-Pack features.","ref":"ElasticsearchEx.Api.Info.html","title":"ElasticsearchEx.Api.Info","type":"module"},{"doc":"Provides general information about the installed X-Pack features.\n\n#","ref":"ElasticsearchEx.Api.Info.html#xpack/1","title":"ElasticsearchEx.Api.Info.xpack/1","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Info.xpack()\n    {:ok,\n     %{\n       \"build\" => %{\n         \"date\" => \"2024-02-19T10:04:32.774273190Z\",\n         \"hash\" => \"48a287ab9497e852de30327444b0809e55d46466\"\n       },\n       \"features\" => %{\n         \"aggregate_metric\" => %{\"available\" => true, \"enabled\" => true},\n         \"analytics\" => %{\"available\" => true, \"enabled\" => true},\n         \"archive\" => %{\"available\" => false, \"enabled\" => true},\n         \"ccr\" => %{\"available\" => false, \"enabled\" => true},\n         \"data_streams\" => %{\"available\" => true, \"enabled\" => true},\n         \"data_tiers\" => %{\"available\" => true, \"enabled\" => true},\n         \"enrich\" => %{\"available\" => true, \"enabled\" => true},\n         \"enterprise_search\" => %{\"available\" => false, \"enabled\" => true},\n         \"eql\" => %{\"available\" => true, \"enabled\" => true},\n         \"esql\" => %{\"available\" => true, \"enabled\" => true},\n         \"frozen_indices\" => %{\"available\" => true, \"enabled\" => true},\n         \"graph\" => %{\"available\" => false, \"enabled\" => true},\n         \"ilm\" => %{\"available\" => true, \"enabled\" => true},\n         \"logstash\" => %{\"available\" => false, \"enabled\" => true},\n         \"ml\" => %{\"available\" => false, \"enabled\" => true},\n         \"monitoring\" => %{\"available\" => true, \"enabled\" => true},\n         \"rollup\" => %{\"available\" => true, \"enabled\" => true},\n         \"searchable_snapshots\" => %{\"available\" => false, \"enabled\" => true},\n         \"security\" => %{\"available\" => true, \"enabled\" => true},\n         \"slm\" => %{\"available\" => true, \"enabled\" => true},\n         \"spatial\" => %{\"available\" => true, \"enabled\" => true},\n         \"sql\" => %{\"available\" => true, \"enabled\" => true},\n         \"transform\" => %{\"available\" => true, \"enabled\" => true},\n         \"universal_profiling\" => %{\"available\" => false, \"enabled\" => true},\n         \"voting_only\" => %{\"available\" => true, \"enabled\" => true},\n         \"watcher\" => %{\"available\" => false, \"enabled\" => true}\n       },\n       \"license\" => %{\n         \"mode\" => \"basic\",\n         \"status\" => \"active\",\n         \"type\" => \"basic\",\n         \"uid\" => \"bc87523c-7692-4955-a01a-0aa596920c9c\"\n       },\n       \"tagline\" => \"You know, for X\"\n     }}","ref":"ElasticsearchEx.Api.Info.html#xpack/1-examples","title":"Examples - ElasticsearchEx.Api.Info.xpack/1","type":"function"},{"doc":"","ref":"ElasticsearchEx.Api.Info.html#t:opts/0","title":"ElasticsearchEx.Api.Info.opts/0","type":"type"},{"doc":"Search APIs are used to search and aggregate data stored in Elasticsearch indices and data streams. For an overview and related tutorials, see [The search API](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-your-data.html).\n\nMost search APIs support [multi-target syntax](https://www.elastic.co/guide/en/elasticsearch/reference/current/api-conventions.html#api-multi-index), with the exception of the [explain API](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-explain.html).","ref":"ElasticsearchEx.Api.Search.html","title":"ElasticsearchEx.Api.Search","type":"module"},{"doc":"Executes a search request asynchronously. It accepts the same parameters and request body as the\n[search API](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-search.html).\n\n#","ref":"ElasticsearchEx.Api.Search.html#async_search/3","title":"ElasticsearchEx.Api.Search.async_search/3","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-search.html#search-search-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Search.html#async_search/3-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Search.async_search/3","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-search.html#search-search-api-request-body)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Search.html#async_search/3-request-body","title":"Request body - ElasticsearchEx.Api.Search.async_search/3","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Search.async_search(\n    ...>   %{\n    ...>     aggs: %{sale_date: %{date_histogram: %{calendar_interval: \"1d\", field: \"date\"}}},\n    ...>     sort: [%{date: %{order: \"asc\"}}]\n    ...>   },\n    ...>   size: 0\n    ...> )\n    {:ok,\n     %{\n       \"expiration_time_in_millis\" => 1584377890986,\n       \"id\" => \"FmRldE8zREVEUzA2ZVpUeGs2ejJFUFEaMkZ5QTVrSTZSaVN3WlNFVmtlWHJsdzoxMDc=\",\n       \"is_partial\" => true,\n       \"is_running\" => true,\n       \"response\" => %{\n         \"_shards\" => %{\n           \"failed\" => 0,\n           \"skipped\" => 0,\n           \"successful\" => 3,\n           \"total\" => 562\n         },\n         \"hits\" => %{\n           \"hits\" => [],\n           \"max_score\" => nil,\n           \"total\" => %{\"relation\" => \"gte\", \"value\" => 157483}\n         },\n         \"num_reduce_phases\" => 0,\n         \"timed_out\" => false,\n         \"took\" => 1122\n       },\n       \"start_time_in_millis\" => 1583945890986\n     }}","ref":"ElasticsearchEx.Api.Search.html#async_search/3-examples","title":"Examples - ElasticsearchEx.Api.Search.async_search/3","type":"function"},{"doc":"Clears the search context and results for a scrolling search.\n\n#","ref":"ElasticsearchEx.Api.Search.html#clear_scroll/2","title":"ElasticsearchEx.Api.Search.clear_scroll/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Search.clear_scroll(\n    ...>   \"FGluY2x1ZGVfY29udGV4dF91dWlkDXF1ZXJ5QW5kRmV0Y2gBFnZaRlo5M2xHUzN1VFdLUUxTUDFXOUEAAAAAAAAAWRZBdENUeTlIalF2bWs4WGlOaEVFZTd3\"\n    ...> )\n    {:ok, %{\"num_freed\" => 1, \"succeeded\" => true}}","ref":"ElasticsearchEx.Api.Search.html#clear_scroll/2-examples","title":"Examples - ElasticsearchEx.Api.Search.clear_scroll/2","type":"function"},{"doc":"Point-in-time is automatically closed when its `keep_alive` has been elapsed. However keeping\npoint-in-times has a cost. Point-in-times should be closed as soon as they are no longer used in\nsearch requests.\n\n#","ref":"ElasticsearchEx.Api.Search.html#close_pit/2","title":"ElasticsearchEx.Api.Search.close_pit/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Search.close_pit(\"gcSHBAEJb2Jhbl9qb2JzFmJsOTBBMHEwUTVld19yQ3RBYkEtSVEAFkF0Q1R5OUhqUXZtazhYaU5oRUVlN3cAAAAAAAAAAFUWdlpGWjkzbEdTM3VUV0tRTFNQMVc5QQABFmJsOTBBMHEwUTVld19yQ3RBYkEtSVEAAA==\")\n    {:ok, %{\"num_freed\" => 1, \"succeeded\" => true}}","ref":"ElasticsearchEx.Api.Search.html#close_pit/2-examples","title":"Examples - ElasticsearchEx.Api.Search.close_pit/2","type":"function"},{"doc":"A search request by default executes against the most recent visible data of the target indices,\nwhich is called point in time. Elasticsearch `pit` (point in time) is a lightweight view into the\nstate of the data as it existed when initiated. In some cases, it’s preferred to perform multiple\nsearch requests using the same point in time. For example, if refreshes happen between\n`search_after` requests, then the results of those requests might not be consistent as changes\nhappening between searches are only visible to the more recent point in time.\n\n#","ref":"ElasticsearchEx.Api.Search.html#create_pit/2","title":"ElasticsearchEx.Api.Search.create_pit/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Search.create_pit(index: :my-index-000001, keep_alive: \"5m\")\n    {:ok,\n     %{\n       \"id\" => \"gcSHBAEJb2Jhbl9qb2JzFmJsOTBBMHEwUTVld19yQ3RBYkEtSVEAFkF0Q1R5OUhqUXZtazhYaU5oRUVlN3cAAAAAAAAAAFUWdlpGWjkzbEdTM3VUV0tRTFNQMVc5QQABFmJsOTBBMHEwUTVld19yQ3RBYkEtSVEAAA==\"\n     }}","ref":"ElasticsearchEx.Api.Search.html#create_pit/2-examples","title":"Examples - ElasticsearchEx.Api.Search.create_pit/2","type":"function"},{"doc":"You can use the delete async search API to manually delete an async search by ID.\nIf the search is still running, the search request will be cancelled. Otherwise, the saved\nsearch results are deleted.\n\n#","ref":"ElasticsearchEx.Api.Search.html#delete_async_search/2","title":"ElasticsearchEx.Api.Search.delete_async_search/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Search.delete_async_search(\"FmRldE8zREVEUzA2ZVpUeGs2ejJFUFEaMkZ5QTVrSTZSaVN3WlNFVmtlWHJsdzoxMDc=\")\n    nil","ref":"ElasticsearchEx.Api.Search.html#delete_async_search/2-examples","title":"Examples - ElasticsearchEx.Api.Search.delete_async_search/2","type":"function"},{"doc":"Returns information about why a specific document matches (or doesn’t match) a query.\n\n#","ref":"ElasticsearchEx.Api.Search.html#explain/4","title":"ElasticsearchEx.Api.Search.explain/4","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-explain.html#search-explain-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Search.html#explain/4-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Search.explain/4","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-explain.html#search-explain-api-request-body)\nfor a detailed list of the body values.","ref":"ElasticsearchEx.Api.Search.html#explain/4-request-body","title":"Request body - ElasticsearchEx.Api.Search.explain/4","type":"function"},{"doc":"Allows you to retrieve the capabilities of fields among multiple indices. For data streams, the API returns field capabilities among the stream’s backing indices.\n\nThe query parameter `fields` is provided via the first argument `fields`.\n\n#","ref":"ElasticsearchEx.Api.Search.html#field_capabilities/3","title":"ElasticsearchEx.Api.Search.field_capabilities/3","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-field-caps.html#search-field-caps-api-query-params)\nfor a detailed list of the parameters.","ref":"ElasticsearchEx.Api.Search.html#field_capabilities/3-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Search.field_capabilities/3","type":"function"},{"doc":"The get async search API retrieves the results of a previously submitted async search request\ngiven its id.\n\n#","ref":"ElasticsearchEx.Api.Search.html#get_async_search/2","title":"ElasticsearchEx.Api.Search.get_async_search/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Search.get_async_search(\"FmRldE8zREVEUzA2ZVpUeGs2ejJFUFEaMkZ5QTVrSTZSaVN3WlNFVmtlWHJsdzoxMDc=\")\n    {:ok,\n     %{\n       \"completion_time_in_millis\" => 1583945903130,\n       \"expiration_time_in_millis\" => 1584377890986,\n       \"id\" => \"FmRldE8zREVEUzA2ZVpUeGs2ejJFUFEaMkZ5QTVrSTZSaVN3WlNFVmtlWHJsdzoxMDc=\",\n       \"is_partial\" => false,\n       \"is_running\" => false,\n       \"response\" => %{\n         \"_shards\" => %{\n           \"failed\" => 0,\n           \"skipped\" => 0,\n           \"successful\" => 188,\n           \"total\" => 562\n         },\n         \"aggregations\" => %{\"sale_date\" => %{\"buckets\" => []}},\n         \"hits\" => %{\n           \"hits\" => [],\n           \"max_score\" => nil,\n           \"total\" => %{\"relation\" => \"eq\", \"value\" => 456433}\n         },\n         \"num_reduce_phases\" => 46,\n         \"timed_out\" => false,\n         \"took\" => 12144\n       },\n       \"start_time_in_millis\" => 1583945890986\n     }}","ref":"ElasticsearchEx.Api.Search.html#get_async_search/2-examples","title":"Examples - ElasticsearchEx.Api.Search.get_async_search/2","type":"function"},{"doc":"The get async search status API, without retrieving search results, shows only the status of a\npreviously submitted async search request given its id.\n\n#","ref":"ElasticsearchEx.Api.Search.html#get_async_search_status/2","title":"ElasticsearchEx.Api.Search.get_async_search_status/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Search.get_async_search_status(\"FmRldE8zREVEUzA2ZVpUeGs2ejJFUFEaMkZ5QTVrSTZSaVN3WlNFVmtlWHJsdzoxMDc=\")\n    {:ok,\n     %{\n       \"_shards\" => %{\n         \"failed\" => 0,\n         \"skipped\" => 0,\n         \"successful\" => 188,\n         \"total\" => 562\n       },\n       \"expiration_time_in_millis\" => 1584377890986,\n       \"id\" => \"FmRldE8zREVEUzA2ZVpUeGs2ejJFUFEaMkZ5QTVrSTZSaVN3WlNFVmtlWHJsdzoxMDc=\",\n       \"is_partial\" => true,\n       \"is_running\" => true,\n       \"start_time_in_millis\" => 1583945890986\n     }}","ref":"ElasticsearchEx.Api.Search.html#get_async_search_status/2-examples","title":"Examples - ElasticsearchEx.Api.Search.get_async_search_status/2","type":"function"},{"doc":"Point-in-time is automatically closed when its `keep_alive` has been elapsed. However keeping\npoint-in-times has a cost. Point-in-times should be closed as soon as they are no longer used in\nsearch requests.\n\n#","ref":"ElasticsearchEx.Api.Search.html#get_scroll/2","title":"ElasticsearchEx.Api.Search.get_scroll/2","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Search.get_scroll(\n    ...>   \"FGluY2x1ZGVfY29udGV4dF91dWlkDXF1ZXJ5QW5kRmV0Y2gBFnZaRlo5M2xHUzN1VFdLUUxTUDFXOUEAAAAAAAAAWRZBdENUeTlIalF2bWs4WGlOaEVFZTd3\",\n    ...>   scroll: \"1m\"\n    ...> )\n    {:ok,\n     %{\n       \"_scroll_id\" => \"FGluY2x1ZGVfY29udGV4dF91dWlkDXF1ZXJ5QW5kRmV0Y2gBFnZaRlo5M2xHUzN1VFdLUUxTUDFXOUEAAAAAAAAAXRZBdENUeTlIalF2bWs4WGlOaEVFZTd3\",\n       \"_shards\" => %{\n         \"failed\" => 0,\n         \"skipped\" => 0,\n         \"successful\" => 1,\n         \"total\" => 1\n       },\n       \"hits\" => %{\n         \"hits\" => [],\n         \"max_score\" => nil,\n         \"total\" => %{\"relation\" => \"eq\", \"value\" => 3}\n       },\n       \"timed_out\" => false,\n       \"took\" => 1\n     }}","ref":"ElasticsearchEx.Api.Search.html#get_scroll/2-examples","title":"Examples - ElasticsearchEx.Api.Search.get_scroll/2","type":"function"},{"doc":"Executes several searches with a single API request.\n\n#","ref":"ElasticsearchEx.Api.Search.html#multi_search/3","title":"ElasticsearchEx.Api.Search.multi_search/3","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-multi-search.html#search-multi-search-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Search.html#multi_search/3-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Search.multi_search/3","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-multi-search.html#search-multi-search-api-request-body)\nfor a detailed list of the body values.\n\n#","ref":"ElasticsearchEx.Api.Search.html#multi_search/3-request-body","title":"Request body - ElasticsearchEx.Api.Search.multi_search/3","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Search.multi_search(\n    ...>   [\n    ...>     %{},\n    ...>     %{\"query\" => %{\"match\" => %{\"message\" => \"this is a test\"}}},\n    ...>     %{\"index\" => \"my-index-000002\"},\n    ...>     %{\"query\" => %{\"match_all\" => %{}}}\n    ...>   ],\n    ...>   allow_no_indices: false\n    ...> )\n    {:ok,\n     %{\n       \"responses\" => [\n         %{\n           \"_shards\" => %{\n             \"failed\" => 0,\n             \"skipped\" => 0,\n             \"successful\" => 2,\n             \"total\" => 2\n           },\n           \"hits\" => %{\n             \"hits\" => [\n              %{\n                 \"_id\" => \"8-aORIwBU7w6JJjT4O86\",\n                 \"_index\" => \"my-index-000001\",\n                 \"_score\" => 1.0,\n                 \"_source\" => %{\n                   \"message\": \"this is a test\"\n                 }\n               }\n             ],\n             \"max_score\" => nil,\n             \"total\" => %{\"relation\" => \"eq\", \"value\" => 0}\n           },\n           \"status\" => 200,\n           \"timed_out\" => false,\n           \"took\" => 14\n         },\n         %{\n           \"_shards\" => %{\n             \"failed\" => 0,\n             \"skipped\" => 0,\n             \"successful\" => 1,\n             \"total\" => 1\n           },\n           \"hits\" => %{\n             \"hits\" => [\n               %{\n                 \"_id\" => \"8uaORIwBU7w6JJjTX-8-\",\n                 \"_index\" => \"my-index-000002\",\n                 \"_score\" => 1.0,\n                 \"_source\" => %{\n                   \"message\": \"this another test\"\n                 }\n               }\n             ],\n             \"max_score\" => 1.0,\n             \"total\" => %{\"relation\" => \"eq\", \"value\" => 3}\n           },\n           \"status\" => 200,\n           \"timed_out\" => false,\n           \"took\" => 11\n         }\n       ],\n       \"took\" => 21\n     }}","ref":"ElasticsearchEx.Api.Search.html#multi_search/3-examples","title":"Examples - ElasticsearchEx.Api.Search.multi_search/3","type":"function"},{"doc":"Runs multiple templated searches with a single request.\n\n#","ref":"ElasticsearchEx.Api.Search.html#multi_search_template/3","title":"ElasticsearchEx.Api.Search.multi_search_template/3","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/multi-search-template.html#multi-search-template-api-query-params)\nfor a detailed list of the parameters.","ref":"ElasticsearchEx.Api.Search.html#multi_search_template/3-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Search.multi_search_template/3","type":"function"},{"doc":"Provides detailed timing information about the execution of individual components in a search request.\n\n**Warning:** The Profile API is a debugging tool and adds significant overhead to search execution.","ref":"ElasticsearchEx.Api.Search.html#profile/3","title":"ElasticsearchEx.Api.Search.profile/3","type":"function"},{"doc":"Allows you to evaluate the quality of ranked search results over a set of typical search queries.\n\n#","ref":"ElasticsearchEx.Api.Search.html#rank_evaluation/3","title":"ElasticsearchEx.Api.Search.rank_evaluation/3","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-rank-eval.html#search-rank-eval-api-query-params)\nfor a detailed list of the parameters.","ref":"ElasticsearchEx.Api.Search.html#rank_evaluation/3-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Search.rank_evaluation/3","type":"function"},{"doc":"Renders a search template as a search request body.\n\n#","ref":"ElasticsearchEx.Api.Search.html#render_search_template/3","title":"ElasticsearchEx.Api.Search.render_search_template/3","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/render-search-template-api.html#render-search-template-api-request-body)\nfor a detailed list of the request body.","ref":"ElasticsearchEx.Api.Search.html#render_search_template/3-request-body","title":"Request body - ElasticsearchEx.Api.Search.render_search_template/3","type":"function"},{"doc":"Returns search hits that match the query defined in the request.\n\nIt expects the first argument to be a valid Elasticsearch query represented by an Elixir `Map`.\n\n#","ref":"ElasticsearchEx.Api.Search.html#search/3","title":"ElasticsearchEx.Api.Search.search/3","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-search.html#search-search-api-query-params)\nfor a detailed list of the parameters.\n\n#","ref":"ElasticsearchEx.Api.Search.html#search/3-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Search.search/3","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-search.html#search-search-api-request-body)\nfor a detailed list of the body values.\n\n#","ref":"ElasticsearchEx.Api.Search.html#search/3-request-body","title":"Request body - ElasticsearchEx.Api.Search.search/3","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Search.search(%{query: %{term: %{\"user.id\": \"kimchy\"}}},\n    ...>   from: 40,\n    ...>   size: 20\n    ...> )\n    {:ok,\n     %{\n       \"_shards\" => %{\n         \"failed\" => 0,\n         \"skipped\" => 0,\n         \"successful\" => 1,\n         \"total\" => 1\n       },\n       \"hits\" => %{\n         \"hits\" => [\n           %{\n             \"_id\" => \"0\",\n             \"_index\" => \"my-index-000001\",\n             \"_score\" => 1.3862942,\n             \"_source\" => %{\n               \"@timestamp\" => \"2099-11-15T14:12:12\",\n               \"http\" => %{\n                 \"request\" => %{\"method\" => \"get\"},\n                 \"response\" => %{\"bytes\" => 1070000, \"status_code\" => 200},\n                 \"version\" => \"1.1\"\n               },\n               \"message\" => \"GET /search HTTP/1.1 200 1070000\",\n               \"source\" => %{\"ip\" => \"127.0.0.1\"},\n               \"user\" => %{\"id\" => \"kimchy\"}\n             }\n           },\n           ...\n         ],\n         \"max_score\" => 1.3862942,\n         \"total\" => %{\"relation\" => \"eq\", \"value\" => 20}\n       },\n       \"timed_out\" => false,\n       \"took\" => 5\n     }}","ref":"ElasticsearchEx.Api.Search.html#search/3-examples","title":"Examples - ElasticsearchEx.Api.Search.search/3","type":"function"},{"doc":"Returns the indices and shards that a search request would be executed against.\n\n#","ref":"ElasticsearchEx.Api.Search.html#search_shards/2","title":"ElasticsearchEx.Api.Search.search_shards/2","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-shards.html#search-shards-api-query-params)\nfor a detailed list of the parameters.","ref":"ElasticsearchEx.Api.Search.html#search_shards/2-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Search.search_shards/2","type":"function"},{"doc":"Runs a search with a [search template](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-template.html).\n\n#","ref":"ElasticsearchEx.Api.Search.html#search_template/3","title":"ElasticsearchEx.Api.Search.search_template/3","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-template-api.html#search-template-api-query-params)\nfor a detailed list of the parameters.","ref":"ElasticsearchEx.Api.Search.html#search_template/3-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Search.search_template/3","type":"function"},{"doc":"Searches a vector tile for geospatial values. Returns results as a binary Mapbox vector tile.\n\n#","ref":"ElasticsearchEx.Api.Search.html#search_vector_tile/6","title":"ElasticsearchEx.Api.Search.search_vector_tile/6","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-vector-tile-api.html#search-vector-tile-api-query-params)\nfor a detailed list of the parameters.","ref":"ElasticsearchEx.Api.Search.html#search_vector_tile/6-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Search.search_vector_tile/6","type":"function"},{"doc":"The terms enum API can be used to discover terms in the index that match a partial string.\n\nSupported field types are `keyword`, `constant_keyword`, `flattened`, `version` and `ip`.\n\nThis is used for auto-complete.\n\n#","ref":"ElasticsearchEx.Api.Search.html#terms_enum/3","title":"ElasticsearchEx.Api.Search.terms_enum/3","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Search.terms_enum(%{\"field\" => \"tags\", \"string\" => \"kiba\"},\n    ...>   index: \"stackoverflow\"\n    ...> )\n    {:ok,\n     %{\n       \"_shards\" => %{\"failed\" => 0, \"successful\" => 1, \"total\" => 1},\n       \"complete\" => true,\n       \"terms\" => [\"kibana\"]\n     }}","ref":"ElasticsearchEx.Api.Search.html#terms_enum/3-examples","title":"Examples - ElasticsearchEx.Api.Search.terms_enum/3","type":"function"},{"doc":"Validates a potentially expensive query without executing it.\n\n#","ref":"ElasticsearchEx.Api.Search.html#validate/3","title":"ElasticsearchEx.Api.Search.validate/3","type":"function"},{"doc":"Refer to the official [documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-validate.html#search-validate-api-query-params)\nfor a detailed list of the parameters.","ref":"ElasticsearchEx.Api.Search.html#validate/3-query-parameters","title":"Query parameters - ElasticsearchEx.Api.Search.validate/3","type":"function"},{"doc":"","ref":"ElasticsearchEx.Api.Search.html#t:document_id/0","title":"ElasticsearchEx.Api.Search.document_id/0","type":"type"},{"doc":"","ref":"ElasticsearchEx.Api.Search.html#t:index/0","title":"ElasticsearchEx.Api.Search.index/0","type":"type"},{"doc":"","ref":"ElasticsearchEx.Api.Search.html#t:opts/0","title":"ElasticsearchEx.Api.Search.opts/0","type":"type"},{"doc":"","ref":"ElasticsearchEx.Api.Search.html#t:query/0","title":"ElasticsearchEx.Api.Search.query/0","type":"type"},{"doc":"Provides usage information about the installed X-Pack features.","ref":"ElasticsearchEx.Api.Usage.html","title":"ElasticsearchEx.Api.Usage","type":"module"},{"doc":"Provides usage information about the installed X-Pack features.\n\n#","ref":"ElasticsearchEx.Api.Usage.html#xpack/1","title":"ElasticsearchEx.Api.Usage.xpack/1","type":"function"},{"doc":"iex> ElasticsearchEx.Api.Usage.xpack()\n    {:ok,\n     %{\n       \"aggregate_metric\" => %{\"available\" => true, \"enabled\" => true},\n       \"analytics\" => %{\n         \"available\" => true,\n         \"enabled\" => true,\n         \"stats\" => %{\n           \"boxplot_usage\" => 0,\n           \"cumulative_cardinality_usage\" => 0,\n           \"moving_percentiles_usage\" => 0,\n           \"multi_terms_usage\" => 0,\n           \"normalize_usage\" => 0,\n           \"rate_usage\" => 0,\n           \"string_stats_usage\" => 0,\n           \"t_test_usage\" => 0,\n           \"top_metrics_usage\" => 0\n         }\n       },\n       \"archive\" => %{\"available\" => true, \"enabled\" => true, \"indices_count\" => 0},\n       \"ccr\" => %{\n         \"auto_follow_patterns_count\" => 0,\n         \"available\" => true,\n         \"enabled\" => true,\n         \"follower_indices_count\" => 0\n       },\n       \"data_lifecycle\" => %{\n         \"available\" => true,\n         \"count\" => 0,\n         \"default_rollover_used\" => true,\n         \"enabled\" => true,\n         \"retention\" => %{\n           \"average_millis\" => 0.0,\n           \"maximum_millis\" => 0,\n           \"minimum_millis\" => 0\n         }\n       },\n       \"data_streams\" => %{\n         \"available\" => true,\n         \"data_streams\" => 0,\n         \"enabled\" => true,\n         \"indices_count\" => 0\n       },\n       \"data_tiers\" => %{\n         \"available\" => true,\n         \"data_cold\" => %{\n           \"doc_count\" => 0,\n           \"index_count\" => 0,\n           \"node_count\" => 0,\n           \"primary_shard_count\" => 0,\n           \"primary_shard_size_avg_bytes\" => 0,\n           \"primary_shard_size_mad_bytes\" => 0,\n           \"primary_shard_size_median_bytes\" => 0,\n           \"primary_size_bytes\" => 0,\n           \"total_shard_count\" => 0,\n           \"total_size_bytes\" => 0\n         },\n         \"data_content\" => %{\n           \"doc_count\" => 0,\n           \"index_count\" => 0,\n           \"node_count\" => 0,\n           \"primary_shard_count\" => 0,\n           \"primary_shard_size_avg_bytes\" => 0,\n           \"primary_shard_size_mad_bytes\" => 0,\n           \"primary_shard_size_median_bytes\" => 0,\n           \"primary_size_bytes\" => 0,\n           \"total_shard_count\" => 0,\n           \"total_size_bytes\" => 0\n         },\n         \"data_frozen\" => %{\n           \"doc_count\" => 0,\n           \"index_count\" => 0,\n           \"node_count\" => 1,\n           \"primary_shard_count\" => 0,\n           \"primary_shard_size_avg_bytes\" => 0,\n           \"primary_shard_size_mad_bytes\" => 0,\n           \"primary_shard_size_median_bytes\" => 0,\n           \"primary_size_bytes\" => 0,\n           \"total_shard_count\" => 0,\n           \"total_size_bytes\" => 0\n         },\n         \"data_hot\" => %{\n           \"doc_count\" => 0,\n           \"index_count\" => 0,\n           \"node_count\" => 0,\n           \"primary_shard_count\" => 0,\n           \"primary_shard_size_avg_bytes\" => 0,\n           \"primary_shard_size_mad_bytes\" => 0,\n           \"primary_shard_size_median_bytes\" => 0,\n           \"primary_size_bytes\" => 0,\n           \"total_shard_count\" => 0,\n           \"total_size_bytes\" => 0\n         },\n         \"data_warm\" => %{\n           \"doc_count\" => 0,\n           \"index_count\" => 0,\n           \"node_count\" => 0,\n           \"primary_shard_count\" => 0,\n           \"primary_shard_size_avg_bytes\" => 0,\n           \"primary_shard_size_mad_bytes\" => 0,\n           \"primary_shard_size_median_bytes\" => 0,\n           \"primary_size_bytes\" => 0,\n           \"total_shard_count\" => 0,\n           \"total_size_bytes\" => 0\n         },\n         \"enabled\" => true\n       },\n       \"enterprise_search\" => %{\n         \"analytics_collections\" => %{\"count\" => 0},\n         \"available\" => true,\n         \"enabled\" => true,\n         \"query_rulesets\" => %{\n           \"max_rule_count\" => 0,\n           \"min_rule_count\" => 0,\n           \"total_count\" => 0,\n           \"total_rule_count\" => 0\n         },\n         \"search_applications\" => %{\"count\" => 0}\n       },\n       \"eql\" => %{\"available\" => true, \"enabled\" => true},\n       \"esql\" => %{\n         \"available\" => true,\n         \"enabled\" => true,\n         \"features\" => %{\n           \"dissect\" => 0,\n           \"drop\" => 0,\n           \"enrich\" => 0,\n           \"eval\" => 0,\n           \"from\" => 0,\n           \"grok\" => 0,\n           \"keep\" => 0,\n           \"limit\" => 0,\n           \"mv_expand\" => 0,\n           \"rename\" => 0,\n           \"row\" => 0,\n           \"show\" => 0,\n           \"sort\" => 0,\n           \"stats\" => 0,\n           \"where\" => 0\n         },\n         \"queries\" => %{\n           \"_all\" => %{\"failed\" => 0, \"total\" => 0},\n           \"kibana\" => %{\"failed\" => 0, \"total\" => 0},\n           \"rest\" => %{\"failed\" => 0, \"total\" => 0}\n         }\n       },\n       \"frozen_indices\" => %{\n         \"available\" => true,\n         \"enabled\" => true,\n         \"indices_count\" => 0\n       },\n       \"graph\" => %{\"available\" => true, \"enabled\" => true},\n       \"health_api\" => %{\n         \"available\" => true,\n         \"enabled\" => true,\n         \"invocations\" => %{\"total\" => 0}\n       },\n       \"ilm\" => %{\"policy_count\" => 3, \"policy_stats\" => []},\n       \"inference\" => %{\"available\" => true, \"enabled\" => true, \"models\" => []},\n       \"logstash\" => %{\"available\" => true, \"enabled\" => true},\n       \"ml\" => %{\n         \"available\" => true,\n         \"data_frame_analytics_jobs\" => %{\n           \"_all\" => %{\"count\" => 0},\n           \"analysis_counts\" => %{},\n           \"memory_usage\" => %{\n             \"peak_usage_bytes\" => %{\n               \"avg\" => 0.0,\n               \"max\" => 0.0,\n               \"min\" => 0.0,\n               \"total\" => 0.0\n             }\n           }\n         },\n         \"datafeeds\" => %{\"_all\" => %{\"count\" => 0}},\n         \"enabled\" => true,\n         \"inference\" => %{\n           \"deployments\" => %{\n             \"count\" => 0,\n             \"inference_counts\" => %{\n               \"avg\" => 0.0,\n               \"max\" => 0.0,\n               \"min\" => 0.0,\n               \"total\" => 0.0\n             },\n             \"model_sizes_bytes\" => %{\n               \"avg\" => 0.0,\n               \"max\" => 0.0,\n               \"min\" => 0.0,\n               \"total\" => 0.0\n             },\n             \"stats_by_model\" => [],\n             \"time_ms\" => %{\"avg\" => 0.0}\n           },\n           \"ingest_processors\" => %{\n             \"_all\" => %{\n               \"num_docs_processed\" => %{\"max\" => 0, \"min\" => 0, \"sum\" => 0},\n               \"num_failures\" => %{\"max\" => 0, \"min\" => 0, \"sum\" => 0},\n               \"pipelines\" => %{\"count\" => 0},\n               \"time_ms\" => %{\"max\" => 0, \"min\" => 0, \"sum\" => 0}\n             }\n           },\n           \"trained_models\" => %{\n             \"_all\" => %{\"count\" => 1},\n             \"count\" => %{\"other\" => 0, \"prepackaged\" => 1, \"total\" => 1},\n             \"estimated_operations\" => %{\n               \"avg\" => 0.0,\n               \"max\" => 0.0,\n               \"min\" => 0.0,\n               \"total\" => 0.0\n             },\n             \"model_size_bytes\" => %{\n               \"avg\" => 0.0,\n               \"max\" => 0.0,\n               \"min\" => 0.0,\n               \"total\" => 0.0\n             }\n           }\n         },\n         \"jobs\" => %{\n           \"_all\" => %{\n             \"count\" => 0,\n             \"created_by\" => %{},\n             \"detectors\" => %{},\n             \"forecasts\" => %{\"forecasted_jobs\" => 0, \"total\" => 0},\n             \"model_size\" => %{}\n           }\n         },\n         \"node_count\" => 1\n       },\n       \"monitoring\" => %{\n         \"available\" => true,\n         \"collection_enabled\" => false,\n         \"enabled\" => true,\n         \"enabled_exporters\" => %{\"local\" => 1}\n       },\n       \"remote_clusters\" => %{\n         \"mode\" => %{\"proxy\" => 0, \"sniff\" => 0},\n         \"security\" => %{\"api_key\" => 0, \"cert\" => 0},\n         \"size\" => 0\n       },\n       \"rollup\" => %{\"available\" => true, \"enabled\" => true},\n       \"searchable_snapshots\" => %{\n         \"available\" => true,\n         \"enabled\" => true,\n         \"full_copy_indices_count\" => 0,\n         \"indices_count\" => 0,\n         \"shared_cache_indices_count\" => 0\n       },\n       \"security\" => %{\"available\" => true, \"enabled\" => true},\n       \"slm\" => %{\"available\" => true, \"enabled\" => true},\n       \"spatial\" => %{\"available\" => true, \"enabled\" => true},\n       \"sql\" => %{\n         \"available\" => true,\n         \"enabled\" => true,\n         \"features\" => %{\n           \"command\" => 0,\n           \"groupby\" => 0,\n           \"having\" => 0,\n           \"join\" => 0,\n           \"limit\" => 0,\n           \"local\" => 0,\n           \"orderby\" => 0,\n           \"subselect\" => 0,\n           \"where\" => 0\n         },\n         \"queries\" => %{\n           \"_all\" => %{\"failed\" => 0, \"paging\" => 0, \"total\" => 0},\n           \"canvas\" => %{\"failed\" => 0, \"paging\" => 0, \"total\" => 0},\n           \"cli\" => %{\"failed\" => 0, \"paging\" => 0, \"total\" => 0},\n           \"jdbc\" => %{\"failed\" => 0, \"paging\" => 0, \"total\" => 0},\n           \"odbc\" => %{\"failed\" => 0, \"paging\" => 0, \"total\" => 0},\n           \"odbc32\" => %{\"failed\" => 0, \"paging\" => 0, \"total\" => 0},\n           \"odbc64\" => %{\"failed\" => 0, \"paging\" => 0, \"total\" => 0},\n           \"rest\" => %{\"failed\" => 0, \"paging\" => 0, \"total\" => 0},\n           \"translate\" => %{\"count\" => 0}\n         }\n       },\n       \"transform\" => %{\"available\" => true, \"enabled\" => true},\n       \"universal_profiling\" => %{\"available\" => true, \"enabled\" => true},\n       \"voting_only\" => %{\"available\" => true, \"enabled\" => true},\n       \"watcher\" => %{\n         \"available\" => true,\n         \"count\" => %{\"active\" => 0, \"total\" => 0},\n         \"enabled\" => true,\n         \"execution\" => %{\n           \"actions\" => %{\"_all\" => %{\"total\" => 0, \"total_time_in_ms\" => 0}}\n         },\n         \"watch\" => %{\n           \"input\" => %{\"_all\" => %{\"active\" => 0, \"total\" => 0}},\n           \"trigger\" => %{\"_all\" => %{\"active\" => 0, \"total\" => 0}}\n         }\n       }\n     }}","ref":"ElasticsearchEx.Api.Usage.html#xpack/1-examples","title":"Examples - ElasticsearchEx.Api.Usage.xpack/1","type":"function"},{"doc":"","ref":"ElasticsearchEx.Api.Usage.html#t:opts/0","title":"ElasticsearchEx.Api.Usage.opts/0","type":"type"},{"doc":"Provides the functions to make HTTP calls.","ref":"ElasticsearchEx.Client.html","title":"ElasticsearchEx.Client","type":"module"},{"doc":"","ref":"ElasticsearchEx.Client.html#delete/4","title":"ElasticsearchEx.Client.delete/4","type":"function"},{"doc":"","ref":"ElasticsearchEx.Client.html#get/4","title":"ElasticsearchEx.Client.get/4","type":"function"},{"doc":"","ref":"ElasticsearchEx.Client.html#head/3","title":"ElasticsearchEx.Client.head/3","type":"function"},{"doc":"","ref":"ElasticsearchEx.Client.html#post/4","title":"ElasticsearchEx.Client.post/4","type":"function"},{"doc":"","ref":"ElasticsearchEx.Client.html#put/4","title":"ElasticsearchEx.Client.put/4","type":"function"},{"doc":"","ref":"ElasticsearchEx.Client.html#request/5","title":"ElasticsearchEx.Client.request/5","type":"function"},{"doc":"Provides some helpers to manipulate NDJSON (Newline Delimited JSON).","ref":"ElasticsearchEx.Ndjson.html","title":"ElasticsearchEx.Ndjson","type":"module"},{"doc":"Decodes a binary into a list of `term`.\n\nRaises an exception if the JSON decoding fails.\n\n#","ref":"ElasticsearchEx.Ndjson.html#decode!/1","title":"ElasticsearchEx.Ndjson.decode!/1","type":"function"},{"doc":"iex> ElasticsearchEx.Ndjson.decode!(\"{\\\"a\\\":\\\"b\\\"}\\n{\\\"c\\\":\\\"d\\\"}\\n\")\n    [%{a: :b}, %{c: :d}]","ref":"ElasticsearchEx.Ndjson.html#decode!/1-examples","title":"Examples - ElasticsearchEx.Ndjson.decode!/1","type":"function"},{"doc":"Encodes a list of values into a valid NDJSON.\n\nRaises an exception if the JSON encoding fails.\n\n#","ref":"ElasticsearchEx.Ndjson.html#encode!/1","title":"ElasticsearchEx.Ndjson.encode!/1","type":"function"},{"doc":"iex> ElasticsearchEx.Ndjson.encode!([%{a: :b}, %{c: :d}])\n    \"{\\\"a\\\":\\\"b\\\"}\\n{\\\"c\\\":\\\"d\\\"}\\n\"","ref":"ElasticsearchEx.Ndjson.html#encode!/1-examples","title":"Examples - ElasticsearchEx.Ndjson.encode!/1","type":"function"},{"doc":"Wraps the HTTP error into an Elixir exception.","ref":"ElasticsearchEx.Error.html","title":"ElasticsearchEx.Error","type":"exception"},{"doc":"","ref":"ElasticsearchEx.Error.html#t:t/0","title":"ElasticsearchEx.Error.t/0","type":"type"},{"doc":"# Elasticsearch\n\n`elasticsearch_ex` allows to interact with [Elasticsearch](https://www.elastic.co/guide/en/elasticsearch/reference/current/index.html) cluster.","ref":"readme.html","title":"Elasticsearch","type":"extras"},{"doc":"```elixir\ndef deps do\n  [\n    {:elasticsearch_ex, \"~> 1.3\"}\n  ]\nend\n```\n\nDocumentation can be found at https://hexdocs.pm/elasticsearch_ex.","ref":"readme.html#installation","title":"Installation - Elasticsearch","type":"extras"},{"doc":"#","ref":"readme.html#usage","title":"Usage - Elasticsearch","type":"extras"},{"doc":"```elixir\n# Define the `any_http` client adapter\nconfig :any_http, client_adapter: AnyHttp.Adapters.Httpc\n\n# Configure ElasticsearchEx\nconfig :elasticsearch_ex,\n  clusters: %{\n    default: %{\n      endpoint: \"https://elastic:elastic@localhost:9200\",\n      # For development only, if not specified, SSL is configured for you.\n      http_opts: [ssl: [verify: :verify_none]]\n    }\n  }\n```\n\n#","ref":"readme.html#configure-your-cluster","title":"Configure your cluster - Elasticsearch","type":"extras"},{"doc":"```elixir\nElasticsearchEx.index(%{message: \"Hello World!\"}, \"my-index\")\n```\n\n#","ref":"readme.html#index-a-document","title":"Index a document - Elasticsearch","type":"extras"},{"doc":"You can easily query your local Elasticsearch with:\n```elixir\nElasticsearchEx.search(%{query: %{match_all: %{}}, size: 1}, \"my-index\")\n```\n\nResponse:\n```elixir\n{:ok,\n %{\n   \"_shards\" => %{\n     \"failed\" => 0,\n     \"skipped\" => 0,\n     \"successful\" => 2,\n     \"total\" => 2\n   },\n   \"hits\" => %{\n     \"hits\" => [\n       %{\n         \"_id\" => \"8uaORIwBU7w6JJjTX-8-\",\n         \"_index\" => \"my-index\",\n         \"_score\" => 1.0,\n         \"_source\" => %{\n           \"message\" => \"Hello World!\"\n         }\n       }\n     ],\n     \"max_score\" => 1.0,\n     \"total\" => %{\"relation\" => \"eq\", \"value\" => 1}\n   },\n   \"timed_out\" => false,\n   \"took\" => 7\n }}\n```","ref":"readme.html#search-your-cluster","title":"Search your cluster - Elasticsearch","type":"extras"},{"doc":"# Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"* **New features:**\n  * Added `ElasticsearchEx.Stream` module to stream documents\n\n* **Changes:**\n  * Removed extra `is_list(opts)` from the API because it's already checked in the HTTP client\n\n* **Bug fixes:**\n  * Fixed a bug on `ElasticsearchEx.Api.Search.search/2` to allow `index` to be `nil`","ref":"changelog.html#v1-3-0-2024-04-04","title":"v1.3.0 (2024-04-04) - Changelog","type":"extras"},{"doc":"* **New features:**\n  * Added `ElasticsearchEx.Api.Info.xpack/1`\n  * Added `ElasticsearchEx.Api.Usage.xpack/1`","ref":"changelog.html#v1-2-0-2024-04-04","title":"v1.2.0 (2024-04-04) - Changelog","type":"extras"},{"doc":"* **New features:**\n  * Added `ElasticsearchEx.Api.Cat.aliases/2`\n  * Added `ElasticsearchEx.Api.Cat.allocation/2`\n  * Added `ElasticsearchEx.Api.Cat.anomaly_detectors/2`\n  * Added `ElasticsearchEx.Api.Cat.component_templates/2`\n  * Added `ElasticsearchEx.Api.Cat.count/2`\n  * Added `ElasticsearchEx.Api.Cat.data_frame_analytics/2`\n  * Added `ElasticsearchEx.Api.Cat.datafeeds/2`\n  * Added `ElasticsearchEx.Api.Cat.fielddata/2`\n  * Added `ElasticsearchEx.Api.Cat.health/2`\n  * Added `ElasticsearchEx.Api.Cat.indices/2`\n  * Added `ElasticsearchEx.Api.Cat.master/1`\n  * Added `ElasticsearchEx.Api.Cat.nodeattrs/1`\n  * Added `ElasticsearchEx.Api.Cat.nodes/1`\n  * Added `ElasticsearchEx.Api.Cat.pending_tasks/1`\n  * Added `ElasticsearchEx.Api.Cat.plugins/1`\n  * Added `ElasticsearchEx.Api.Cat.recovery/2`\n  * Added `ElasticsearchEx.Api.Cat.repositories/1`\n  * Added `ElasticsearchEx.Api.Cat.segments/2`\n  * Added `ElasticsearchEx.Api.Cat.shards/2`\n  * Added `ElasticsearchEx.Api.Cat.snapshots/2`\n  * Added `ElasticsearchEx.Api.Cat.tasks/1`\n  * Added `ElasticsearchEx.Api.Cat.templates/2`\n  * Added `ElasticsearchEx.Api.Cat.thread_pool/2`\n  * Added `ElasticsearchEx.Api.Cat.trained_models/1`\n  * Added `ElasticsearchEx.Api.Cat.transforms/2`\n  *","ref":"changelog.html#v1-1-0-2024-04-04","title":"v1.1.0 (2024-04-04) - Changelog","type":"extras"},{"doc":"* **Breaking Changes:**\n\n  Changed the signatures of the functions to have dedicated arguments alongside options.\n\n* **New features:**\n  * Added `ElasticsearchEx.Api.Document.Source.get/3`\n  * Added `ElasticsearchEx.Api.Document.Source.exists?/3`\n  * Added `ElasticsearchEx.Api.Document.get_ids/3`\n  * Added `ElasticsearchEx.Api.Document.get_docs/3`\n  * Added `ElasticsearchEx.Api.Document.multi_get/3`\n  * Added `ElasticsearchEx.Api.Search.explain/4`\n  * Added `ElasticsearchEx.Api.Search.field_capabilities/3`\n  * Added `ElasticsearchEx.Api.Search.profile/3`\n  * Added `ElasticsearchEx.Api.Search.rank_evaluation/3`\n  * Added `ElasticsearchEx.Api.Search.search_shards/2`\n  * Added `ElasticsearchEx.Api.Search.validate/3`\n  * Added `ElasticsearchEx.Api.Search.search_template/3`\n  * Added `ElasticsearchEx.Api.Search.multi_search_template/3`\n  * Added `ElasticsearchEx.Api.Search.render_search_template/3`\n  * Added `ElasticsearchEx.Api.Search.search_vector_tile/6`\n\n* **Changes:**\n  * Rewrote functions to extract arguments from options:\n\n    * `ElasticsearchEx.Api.Document.index/4`\n    * `ElasticsearchEx.Api.Document.create/4`\n    * `ElasticsearchEx.Api.Document.get/3`\n    * `ElasticsearchEx.Api.Document.exists?/3`\n    * `ElasticsearchEx.Api.Document.update/4`\n    * `ElasticsearchEx.Api.Document.delete/3`\n    * `ElasticsearchEx.Api.Search.search/3`\n    * `ElasticsearchEx.Api.Search.multi_search/3`\n    * `ElasticsearchEx.Api.Search.async_search/3`\n    * `ElasticsearchEx.Api.Search.get_async_search/2`\n    * `ElasticsearchEx.Api.Search.get_async_search_status/2`\n    * `ElasticsearchEx.Api.Search.delete_async_search/2`\n    * `ElasticsearchEx.Api.Search.create_pit/2`\n    * `ElasticsearchEx.Api.Search.close_pit/2`","ref":"changelog.html#v1-0-0-2024-04-03","title":"v1.0.0 (2024-04-03) - Changelog","type":"extras"},{"doc":"* **Changes:**\n  * Updated the dependencies\n  * Updated Erlang/Elixir/Elasticsearch versions in the testing matrix","ref":"changelog.html#v0-6-2-2024-04-01","title":"v0.6.2 (2024-04-01) - Changelog","type":"extras"},{"doc":"* **Changes:**\n  * Removed an option from the package preventing Dialyzer to work properly when it's used as dependency","ref":"changelog.html#v0-6-1-2023-12-28","title":"v0.6.1 (2023-12-28) - Changelog","type":"extras"},{"doc":"* **New features:**\n  * Delegated `ElasticsearchEx.index/2`\n\n* **Changes:**\n  * Renamed the modules to remove the scope (tests are untouched)\n  * Added more tests\n  * Updated the dependency `any_http` to get rid of the issue with Dialyzer\n\n* **Bug fixes:**\n  * Fixed a bug on `ElasticsearchEx.Api.Document.update/2` preventing to update.","ref":"changelog.html#v0-6-0-2023-12-28","title":"v0.6.0 (2023-12-28) - Changelog","type":"extras"},{"doc":"* **New features:**\n  * Added the ability to specify clusters which configure an endpoint, default headers and default\n  options\n\n* **Changes:**\n  * Removed the function to make `PATCH` request which isn't used by Elasticsearch\n  * Removed most of the Dialyzer types causing issues\n  * Added all the tests for `ElasticsearchEx.Api.Search`\n\n* **Bug fixes:**\n  * Fixed an issue preventing to make `POST` request without body","ref":"changelog.html#v0-5-0-2023-12-20","title":"v0.5.0 (2023-12-20) - Changelog","type":"extras"},{"doc":"* **New features:**\n  * Added new functions related to single document operations:\n    * `ElasticsearchEx.Api.Document.index/2`\n    * `ElasticsearchEx.Api.Document.create/2`\n    * `ElasticsearchEx.Api.Document.get_document/1`\n    * `ElasticsearchEx.Api.Document.get_source/1`\n    * `ElasticsearchEx.Api.Document.document_exists?/1`\n    * `ElasticsearchEx.Api.Document.source_exists?/1`\n    * `ElasticsearchEx.Api.Document.delete/1`\n    * `ElasticsearchEx.Api.Document.update/2`","ref":"changelog.html#v0-4-0-2023-12-19","title":"v0.4.0 (2023-12-19) - Changelog","type":"extras"},{"doc":"* **Changes:**\n  * Added unit tests for:\n    * `ElasticsearchEx.Api.Utils`\n    * `ElasticsearchEx.Client`\n    * `ElasticsearchEx.Error`\n    * `ElasticsearchEx.Ndjson`\n\n* **Bug fixes:**\n  * Fixed the return value for the function `ElasticsearchEx.Client.head/2` in case of error\n  * Fixed the typespec for the function `ElasticsearchEx.Client.head/2` in case of error\n  * Added the ability to have no body to create an exception with `ElasticsearchEx.Error`\n  * Ensured the `ElasticsearchEx.Error.original` attribute is provided","ref":"changelog.html#v0-3-1-2023-12-19","title":"v0.3.1 (2023-12-19) - Changelog","type":"extras"},{"doc":"* **New features:**\n  * Added new functions related to `async_search`:\n    - `ElasticsearchEx.Api.Search.async_search/2`\n    - `ElasticsearchEx.Api.Search.get_async_search/2`\n    - `ElasticsearchEx.Api.Search.get_async_search_status/2`\n    - `ElasticsearchEx.Api.Search.delete_async_search/2`\n  * Added new functions related to `pit`:\n    - `ElasticsearchEx.Api.Search.create_pit/1`\n    - `ElasticsearchEx.Api.Search.close_pit/2`\n  * Added new functions related to `scroll`:\n    - `ElasticsearchEx.Api.Search.get_scroll/2`\n    - `ElasticsearchEx.Api.Search.clear_scroll/2`\n  * Added a new module `ElasticsearchEx.Ndjson` to manipulate NDJSON\n  * Added new functions related to `multi_search`:\n    - `ElasticsearchEx.Api.Search.multi_search/2`\n  * Added new functions related to `terms_enum`:\n    - `ElasticsearchEx.Api.Search.terms_enum/2`\n\n* **Changes:**\n  * Added Github actions matrix to test different versions\n  * Changed the development versions of Elixir and Erlang to 1.13.4 and 24.3.4.14","ref":"changelog.html#v0-3-0-2023-12-19","title":"v0.3.0 (2023-12-19) - Changelog","type":"extras"},{"doc":"* **New features:**\n  * Delegated the function `ElasticsearchEx.Api.Search.search/2` in `ElasticsearchEx` module ([PR-4](https://github.com/CoreCareinc/elasticsearch_ex/pull/4))\n  * Added a `ElasticsearchEx.Error` exception to return an error.\n\n* **Changes:**\n  * Added Credo ([PR-2](https://github.com/CoreCareinc/elasticsearch_ex/pull/2))\n  * Added Dialyxir ([PR-3](https://github.com/CoreCareinc/elasticsearch_ex/pull/3))","ref":"changelog.html#v0-2-0-2023-12-18","title":"v0.2.0 (2023-12-18) - Changelog","type":"extras"},{"doc":"* **New features:**\n  * Added the function `ElasticsearchEx.Api.Search.search/2` to search Elasticsearch ([PR-1](https://github.com/CoreCareinc/elasticsearch_ex/pull/1))","ref":"changelog.html#v0-1-0-2023-12-02","title":"v0.1.0 (2023-12-02) - Changelog","type":"extras"}],"producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}